/********************************************************* begin of preamble
**
** Copyright (C) 2003-2010 Software- und Organisations-Service GmbH. 
** All rights reserved.
**
** This file may be used under the terms of either the 
**
**   GNU General Public License version 2.0 (GPL)
**
**   as published by the Free Software Foundation
**   http://www.gnu.org/licenses/gpl-2.0.txt and appearing in the file
**   LICENSE.GPL included in the packaging of this file. 
**
** or the
**  
**   Agreement for Purchase and Licensing
**
**   as offered by Software- und Organisations-Service GmbH
**   in the respective terms of supply that ship with this file.
**
** THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS
** IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,
** THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
** PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS
** BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
** CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
** SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
** INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
** CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
** ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
** POSSIBILITY OF SUCH DAMAGE.
********************************************************** end of preamble*/
package com.sos.VirtualFileSystem.Interfaces;

import com.sos.JSHelper.Options.SOSOptionAuthenticationMethod;
import com.sos.JSHelper.Options.SOSOptionInFileName;
import com.sos.JSHelper.Options.SOSOptionPassword;
import com.sos.JSHelper.Options.SOSOptionString;

/** 
* \class ISOSAuthenticationOptions 
* 
* \brief ISOSAuthenticationOptions - 
* 
* \details
*
* \section ISOSAuthenticationOptions.java_intro_sec Introduction
*
* \section ISOSAuthenticationOptions.java_samples Some Samples
*
* \code
*   .... code goes here ...
* \endcode
*
* <p style="text-align:center">
* <br />---------------------------------------------------------------------------
* <br /> APL/Software GmbH - Berlin
* <br />##### generated by ClaviusXPress (http://www.sos-berlin.com) #########
* <br />---------------------------------------------------------------------------
* </p>
* \author KB
* @version $Id$21.05.2010
* \see reference
*
* Created on 21.05.2010 12:22:34
 */

public interface ISOSAuthenticationOptions {

	/**
	 * \brief getauth_file
	 *
	 * \details
	 * getter 
	 *
	 * @return the auth_file
	 */
	public abstract SOSOptionInFileName getAuth_file();

	/**
	 * \brief setauth_file - 
	 *
	 * \details
	 * setter 
	 *
	 * @param authFile the value for auth_file to set
	 */
	public abstract void setAuth_file(SOSOptionInFileName authFile);

	/**
	 * \brief getauth_method
	 *
	 * \details
	 * getter 
	 *
	 * @return the auth_method
	 */
	public abstract SOSOptionAuthenticationMethod getAuth_method();

	/**
	 * \brief setauth_method - 
	 *
	 * \details
	 * setter 
	 *
	 * @param authMethod the value for auth_method to set
	 */
	public abstract void setAuth_method(SOSOptionAuthenticationMethod authMethod);

	/**
	 * \brief getpassword
	 *
	 * \details
	 * getter 
	 *
	 * @return the password
	 */
	public abstract SOSOptionPassword getPassword();

	/**
	 * \brief setpassword - 
	 *
	 * \details
	 * setter 
	 *
	 * @param password the value for password to set
	 */
	public abstract void setPassword(SOSOptionPassword password);

	/**
	 * \brief getuser
	 *
	 * \details
	 * getter 
	 *
	 * @return the user
	 */
	public abstract SOSOptionString getUser();

	/**
	 * \brief setuser - 
	 *
	 * \details
	 * setter 
	 *
	 * @param user the value for user to set
	 */
	public abstract void setUser(SOSOptionString user);

}
