/********************************************************* begin of preamble
**
** Copyright (C) 2003-2010 Software- und Organisations-Service GmbH. 
** All rights reserved.
**
** This file may be used under the terms of either the 
**
**   GNU General Public License version 2.0 (GPL)
**
**   as published by the Free Software Foundation
**   http://www.gnu.org/licenses/gpl-2.0.txt and appearing in the file
**   LICENSE.GPL included in the packaging of this file. 
**
** or the
**  
**   Agreement for Purchase and Licensing
**
**   as offered by Software- und Organisations-Service GmbH
**   in the respective terms of supply that ship with this file.
**
** THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS
** IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,
** THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
** PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS
** BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
** CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
** SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
** INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
** CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
** ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
** POSSIBILITY OF SUCH DAMAGE.
********************************************************** end of preamble*/
#define MODULE_NAME "storable"
#define COPYRIGHT   "(c) SOS GmbH Berlin"
#if 0
//#pragma implementation

#include <stdlib.h>

#include <sosstrng.h>
#include <sos.h>
#include <sosfield.h>
#include <storable.h>
#include <absfile.h>

/* s. sosstrg0.cxx
int as_int( const char* str )
{
    int as_int_convertiert_maessig;
    for( int i = 0; i < length( str ); i++ ) {
        if( str[ i ] < '0'  ||  str[ i ] > '9' )  THROW( Numeric_syntax_error( i ));
    }

    return atoi( str );
}
*/

#if !defined ( SYSTEM_WIN )
//    extern char* itoa( int, char*, int );
#endif

/*
Sos_string as_string( int i )
{
    char buffer [ 17 ];
    itoa( i, buffer, 10 );
    return Sos_string( buffer );
}
*/
//---------------------

Storable_as_string_type storable_as_string_type;



void Storable_as_string_type::print( const Byte* p, ostream* s, const Text_format& ) const
{
    Sos_string string;
    ((const Storable_as<Sos_string>*)p)->object_store( &string );
    s->write( c_str( string ), length( string ) );
}


void Storable_as_string_type::input( Byte* p, istream* s, const Text_format& ) const
{
    Dynamic_area buffer ( 2000 );
    s->read( buffer.char_ptr(), buffer.size() );
    buffer.length( s->gcount() );
    ((Storable_as<Sos_string>*)p)->object_load( as_string( buffer ) );
}


// ------------------------------------------------------------- Abs_name_file::rewind

void  Abs_name_file::rewind( Key::Number n )
{
    _file_ptr->rewind( n );
}

// ------------------------------------------------------------- Abs_name_file::get_record

void Abs_name_file::get_record( Area& area )
{
    Dynamic_area input_area;
    area.allocate_min( 100 );  //?
    ostrstream s ( area.char_ptr(), area.size() ); xc;

    input_area.allocate_min( 500 );  //??? sehr unschoen
    _file_ptr->get( input_area ); xc;

    format( input_area, &s );

    area.length( strlen( area.char_ptr() ) ); // NTS erwartet !!!
// ???    if ( current_key().length() == 0 )
// ???    {
// ???      current_key_ptr( &(_file_ptr->current_key_ptr()) );
// ???    }

  exceptions
}

// ------------------------------------------------------------- Abs_name_file::get_record_key

void Abs_name_file::get_record_key( Area& area, const Key& key )
{
    set( key );
    get_record( area );
}

// ------------------------------------------------------------- Abs_name_file::set

void Abs_name_file::set( const Key& key )
{
    _file_ptr->set( key );
}

#endif
