/********************************************************* begin of preamble
**
** Copyright (C) 2003-2010 Software- und Organisations-Service GmbH. 
** All rights reserved.
**
** This file may be used under the terms of either the 
**
**   GNU General Public License version 2.0 (GPL)
**
**   as published by the Free Software Foundation
**   http://www.gnu.org/licenses/gpl-2.0.txt and appearing in the file
**   LICENSE.GPL included in the packaging of this file. 
**
** or the
**  
**   Agreement for Purchase and Licensing
**
**   as offered by Software- und Organisations-Service GmbH
**   in the respective terms of supply that ship with this file.
**
** THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS
** IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,
** THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
** PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS
** BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
** CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
** SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
** INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
** CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
** ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
** POSSIBILITY OF SUCH DAMAGE.
********************************************************** end of preamble*/
// $Id: Scheduler_event2.cxx 6438 2010-12-30 15:11:58Z jz $

#include "spooler.h"
#include "../javaproxy/java__lang__String.h"
#include "../javaproxy/com__sos__scheduler__engine__kernel__cppproxy__SpoolerC.h"
#include "../javaproxy/com__sos__scheduler__engine__kernel__cppproxy__OrderC.h"


namespace sos {
namespace scheduler {

////---------------------------------------------------------------Scheduler_event2::Scheduler_event2
//
//Scheduler_event2::Scheduler_event2(Scheduler_object* object, const string& code) 
//: 
//    Scheduler_object( object->spooler(), this, Scheduler_object::type_scheduler_event2 ),
//    _zero_(this+1)
//{
//    Order* order = dynamic_cast<Order*>(object);
//    if (!order)  throw_xc(S() << Z_FUNCTION << ": " << object->obj_name());
//
//    _eventJ.assign( EventJ::new_instance(object->spooler()->j(), order->j(), code) );
//}
//
////--------------------------------------------------------------Scheduler_event2::~Scheduler_event2
//    
//Scheduler_event2::~Scheduler_event2() {}
//
////-----------------------------------------------------------------------Scheduler_event2::obj_name
//
//string Scheduler_event2::obj_name() const {
//    return _eventJ.toString();
//}



//Scheduler_event2::Class_descriptor Scheduler_event2::class_descriptor  ( &typelib, "sos.spooler.Scheduler_event", Scheduler_event2::_methods );
//
////-----------------------------------------------------------------------Scheduler_event2::_methods
//
//const Com_method Scheduler_event2::_methods[] =
//{
//#ifdef COM_METHOD
//    COM_PROPERTY_GET( Scheduler_event2, 1, Java_class_name, VT_BSTR     , 0 ),
//    COM_PROPERTY_GET( Scheduler_event2, 2, Object         , VT_DISPATCH, 0 ),
//    COM_PROPERTY_GET( Scheduler_event2, 3, Code           , VT_DISPATCH, 0 ),
//#endif
//    {}
//};
//
////---------------------------------------------------------------Scheduler_event2::Scheduler_event2
//    
//Scheduler_event2::Scheduler_event2( Scheduler_object* object, const string& code ) 
//: 
//    Scheduler_object( object->spooler(), (spooler_com::Iorder*)this, Scheduler_object::type_scheduler_event2 ),
//    Idispatch_implementation( &class_descriptor ),
//    _zero_(this+1),
//    _object(object), 
//    _code(code) 
//{}
//
////--------------------------------------------------------------Scheduler_event2::~Scheduler_event2
//    
//Scheduler_event2::~Scheduler_event2()
//{
//}
//
////-----------------------------------------------------------------Scheduler_event2::QueryInterface
//
//STDMETHODIMP Scheduler_event2::QueryInterface( const IID& iid, void** result )
//{
//    Z_IMPLEMENT_QUERY_INTERFACE( this, iid, spooler_com::Ischeduler_event2   , result );
//    Z_IMPLEMENT_QUERY_INTERFACE( this, iid, spooler_com::Ihas_java_class_name, result );
//    Z_IMPLEMENT_QUERY_INTERFACE( this, iid, IDispatch                        , result );
//
//    return Idispatch_implementation::QueryInterface( iid, result );
//}
//
////-----------------------------------------------------------------------Scheduler_event2::obj_name
//    
//string Scheduler_event2::obj_name() const
//{
//    return "Scheduler_event2";
//}
//
////---------------------------------------------------------------------Scheduler_event2::get_Object
//
//STDMETHODIMP Scheduler_event2::get_Object( spooler_com::Iorder** result )
//{
//    HRESULT hr = S_OK;
//
//    try
//    {
//        *result = dynamic_cast<spooler_com::Iorder*>(_object);
//        if( *result )  (*result)->AddRef();
//    }
//    catch( const exception&  x )  { hr = Set_excepinfo( x, Z_FUNCTION ); }
//
//    return hr;
//}
//
////-----------------------------------------------------------------------Scheduler_event2::get_Code
//
//STDMETHODIMP Scheduler_event2::get_Code( BSTR* result )
//{
//    HRESULT hr = S_OK;
//
//    try
//    {
//        hr = String_to_bstr( _code, result );
//    }
//    catch( const exception&  x )  { hr = Set_excepinfo( x, Z_FUNCTION ); }
//
//    return hr;
//}

//-------------------------------------------------------------------------------------------------

} //namespace spoooler
} //namespace sos
