/********************************************************* begin of preamble
**
** Copyright (C) 2003-2010 Software- und Organisations-Service GmbH. 
** All rights reserved.
**
** This file may be used under the terms of either the 
**
**   GNU General Public License version 2.0 (GPL)
**
**   as published by the Free Software Foundation
**   http://www.gnu.org/licenses/gpl-2.0.txt and appearing in the file
**   LICENSE.GPL included in the packaging of this file. 
**
** or the
**  
**   Agreement for Purchase and Licensing
**
**   as offered by Software- und Organisations-Service GmbH
**   in the respective terms of supply that ship with this file.
**
** THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS
** IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,
** THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
** PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS
** BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
** CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
** SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
** INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
** CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
** ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
** POSSIBILITY OF SUCH DAMAGE.
********************************************************** end of preamble*/
package com.sos.scheduler.reporting;

import java.util.Comparator;
import java.util.GregorianCalendar;

public class MyComparator implements Comparator<String> {


    @Override
    public int compare(String o1, String o2) {
        //System.out.println(o1 + "---" + o2);
        Timestamp ts1 = new Timestamp(o1);
        Timestamp ts2 = new Timestamp(o2);
        
//        GregorianCalendar cal1 = new GregorianCalendar();
//        GregorianCalendar cal2 = new GregorianCalendar();
//        cal1.set(GregorianCalendar.DATE, Integer.parseInt(o1.substring(8,9+1)));
//        cal1.set(GregorianCalendar.MONTH, Integer.parseInt(o1.substring(5,6+1)));
//        cal1.set(GregorianCalendar.YEAR, Integer.parseInt(o1.substring(0,3+1)));
//        cal1.set(GregorianCalendar.HOUR_OF_DAY, Integer.parseInt(o1.substring(11,12+1)));
//        cal1.set(GregorianCalendar.MINUTE, Integer.parseInt(o1.substring(14,15+1)));
//        cal1.set(GregorianCalendar.SECOND, Integer.parseInt(o1.substring(17,18+1)));
//        cal2.set(GregorianCalendar.DATE, Integer.parseInt(o2.substring(8,9+1)));
//        cal2.set(GregorianCalendar.MONTH, Integer.parseInt(o2.substring(5,6+1)));
//        cal2.set(GregorianCalendar.YEAR, Integer.parseInt(o2.substring(0,3+1)));
//        cal2.set(GregorianCalendar.HOUR_OF_DAY, Integer.parseInt(o2.substring(11,12+1)));
//        cal2.set(GregorianCalendar.MINUTE, Integer.parseInt(o2.substring(14,15+1)));
//        cal2.set(GregorianCalendar.SECOND, Integer.parseInt(o2.substring(17,18+1)));
        if (ts1.asInternal().before(ts2.asInternal()))
            return -1;
        else 
            return 1;
    }

}
