/********************************************************* begin of preamble
**
** Copyright (C) 2003-2010 Software- und Organisations-Service GmbH. 
** All rights reserved.
**
** This file may be used under the terms of either the 
**
**   GNU General Public License version 2.0 (GPL)
**
**   as published by the Free Software Foundation
**   http://www.gnu.org/licenses/gpl-2.0.txt and appearing in the file
**   LICENSE.GPL included in the packaging of this file. 
**
** or the
**  
**   Agreement for Purchase and Licensing
**
**   as offered by Software- und Organisations-Service GmbH
**   in the respective terms of supply that ship with this file.
**
** THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS
** IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,
** THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
** PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS
** BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
** CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
** SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
** INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
** CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
** ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
** POSSIBILITY OF SUCH DAMAGE.
********************************************************** end of preamble*/
// $Id: spooler_embedded_files.cxx 6477 2011-03-23 09:49:45Z jz $
// ACHTUNG: NICHT AENDERN! DIESE DATEI IST GENERIERT VON files_to_c++.pl



#include "../zschimmer/zschimmer.h"
#include "../zschimmer/embedded_files.h"

const char file_scheduler_xsd[] = 
    "<?xml version=\"1.0\" encoding=\"UTF-8\"?>\n"
    "<!-- $Id: spooler_embedded_files.cxx 6477 2011-03-23 09:49:45Z jz $ -->\n"
    "<xsd:schema xmlns:xsd=\"http://www.w3.org/2001/XMLSchema\" elementFormDefault=\"qualified\">\n"
    "\x09" "<!-- <xsd:key> nicht verwenden, libxslt kann das nicht: \"Internal error: xmlSchemaAreValuesEqual, failed to compare the values.\" -->\n"
    "\x09" "<xsd:annotation>\n"
    "\x09" "\x09" "<xsd:documentation xml:lang=\"de\">\n"
    "$Id: spooler_embedded_files.cxx 6477 2011-03-23 09:49:45Z jz $\n"
    "Schema f\xc3" "\xbc" "r die Scheduler-Konfiguration,\n"
    "s.a. http://www.zschimmer.com/sos/scheduler/konfiguration.html\n"
    "</xsd:documentation>\n"
    "\x09" "</xsd:annotation>\n"
    "\x09" "<xsd:element name=\"spooler\">\n"
    "\x09" "\x09" "<xsd:complexType>\n"
    "\x09" "\x09" "\x09" "<xsd:choice>\n"
    "\x09" "\x09" "\x09" "\x09" "<xsd:element name=\"config\" maxOccurs=\"unbounded\">\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:complexType>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:sequence>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:element name=\"base\" minOccurs=\"0\" maxOccurs=\"unbounded\">\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:complexType>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:attribute name=\"file\" type=\"File\" use=\"required\"/>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "</xsd:complexType>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "</xsd:element>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:element ref=\"params\" minOccurs=\"0\"/>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:element ref=\"security\" minOccurs=\"0\"/>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:element ref=\"cluster\" minOccurs=\"0\"/>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:element ref=\"process_classes\" minOccurs=\"0\"/>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:element name=\"schedules\" minOccurs=\"0\">\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:complexType>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:sequence>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:element name=\"schedule\" type=\"run_time\" minOccurs=\"0\" maxOccurs=\"unbounded\"/>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "</xsd:sequence>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "</xsd:complexType>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "</xsd:element>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:element name=\"locks\" minOccurs=\"0\">\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:complexType>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:sequence>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:element name=\"lock\" type=\"lock\" minOccurs=\"0\" maxOccurs=\"unbounded\"/>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "</xsd:sequence>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "</xsd:complexType>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "<!--xsd:key name=\"lock\">\n"
    "<xsd:selector xpath=\"lock\"/>\n"
    "<xsd:field xpath=\"@name\"/>\n"
    "</xsd:key-->\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "</xsd:element>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:choice>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:element ref=\"script\" minOccurs=\"0\"/>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:element name=\"scheduler_script\" type=\"scheduler_script\" minOccurs=\"0\" maxOccurs=\"unbounded\"/>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "</xsd:choice>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:choice minOccurs=\"0\">\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:element ref=\"http_server\"/>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:element ref=\"web_services\"/>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "<!-- veraltet -->\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "</xsd:choice>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:choice>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:element ref=\"holidays\"/>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:element ref=\"holiday\" minOccurs=\"0\" maxOccurs=\"unbounded\"/>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "</xsd:choice>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:element ref=\"jobs\" minOccurs=\"0\"/>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:element ref=\"job_chains\" minOccurs=\"0\"/>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:element ref=\"commands\" minOccurs=\"0\"/>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "</xsd:sequence>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:attribute name=\"spooler_id\" type=\"Name\"/>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:attribute name=\"port\" type=\"xsd:nonNegativeInteger\"/>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:attribute name=\"tcp_port\" type=\"xsd:nonNegativeInteger\"/>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:attribute name=\"udp_port\" type=\"xsd:nonNegativeInteger\"/>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:attribute name=\"ip_address\" type=\"String\"/>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:attribute name=\"param\" type=\"String\"/>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:attribute name=\"log_dir\" type=\"File\"/>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:attribute name=\"priority_max\" type=\"xsd:nonNegativeInteger\"/>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:attribute name=\"include_path\" type=\"File\"/>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:attribute name=\"java_class_path\" type=\"String\"/>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:attribute name=\"java_options\" type=\"String\"/>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:attribute name=\"main_scheduler\" type=\"String\"/>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:attribute name=\"mail_xslt_stylesheet\" type=\"File\"/>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:attribute name=\"supervisor\" type=\"String\"/>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:attribute name=\"configuration_directory\" type=\"File\"/>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:attribute name=\"central_configuration_directory\" type=\"File\"/>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:attribute name=\"configuration_add_event\" type=\"Path\"/>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:attribute name=\"configuration_modify_event\" type=\"Path\"/>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:attribute name=\"configuration_delete_event\" type=\"Path\"/>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "<!-- veraltet -->\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "</xsd:complexType>\n"
    "\x09" "\x09" "\x09" "\x09" "</xsd:element>\n"
    "\x09" "\x09" "\x09" "\x09" "<xsd:element ref=\"commands\"/>\n"
    "\x09" "\x09" "\x09" "\x09" "<xsd:element name=\"command\" type=\"Commands\">\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:annotation>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:documentation>Deprecated. Use &lt;commands></xsd:documentation>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "</xsd:annotation>\n"
    "\x09" "\x09" "\x09" "\x09" "</xsd:element>\n"
    "\x09" "\x09" "\x09" "\x09" "<xsd:element name=\"answer\">\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:complexType/>\n"
    "\x09" "\x09" "\x09" "\x09" "</xsd:element>\n"
    "\x09" "\x09" "\x09" "\x09" "<xsd:element ref=\"add_jobs\"/>\n"
    "\x09" "\x09" "\x09" "\x09" "<xsd:element ref=\"add_order\"/>\n"
    "\x09" "\x09" "\x09" "\x09" "<xsd:element name=\"check_folders\" type=\"check_folders\"/>\n"
    "\x09" "\x09" "\x09" "\x09" "<xsd:element ref=\"kill_task\"/>\n"
    "\x09" "\x09" "\x09" "\x09" "<xsd:element ref=\"modify_job\"/>\n"
    "\x09" "\x09" "\x09" "\x09" "<xsd:element ref=\"modify_order\"/>\n"
    "\x09" "\x09" "\x09" "\x09" "<xsd:element ref=\"modify_spooler\"/>\n"
    "\x09" "\x09" "\x09" "\x09" "<xsd:element ref=\"register_remote_scheduler\"/>\n"
    "\x09" "\x09" "\x09" "\x09" "<xsd:element ref=\"remove_job_chain\"/>\n"
    "\x09" "\x09" "\x09" "\x09" "<xsd:element ref=\"remove_order\"/>\n"
    "\x09" "\x09" "\x09" "\x09" "<xsd:element name=\"run_time\" type=\"run_time\"/>\n"
    "\x09" "\x09" "\x09" "\x09" "<xsd:element ref=\"show_calendar\"/>\n"
    "\x09" "\x09" "\x09" "\x09" "<xsd:element ref=\"show_history\"/>\n"
    "\x09" "\x09" "\x09" "\x09" "<xsd:element ref=\"show_job\"/>\n"
    "\x09" "\x09" "\x09" "\x09" "<xsd:element ref=\"show_jobs\"/>\n"
    "\x09" "\x09" "\x09" "\x09" "<xsd:element ref=\"show_job_chains\"/>\n"
    "\x09" "\x09" "\x09" "\x09" "<xsd:element ref=\"show_job_chain\"/>\n"
    "\x09" "\x09" "\x09" "\x09" "<xsd:element ref=\"show_order\"/>\n"
    "\x09" "\x09" "\x09" "\x09" "<xsd:element ref=\"s\"/>\n"
    "\x09" "\x09" "\x09" "\x09" "<xsd:element ref=\"show_schedulers\"/>\n"
    "\x09" "\x09" "\x09" "\x09" "<xsd:element ref=\"show_state\"/>\n"
    "\x09" "\x09" "\x09" "\x09" "<xsd:element ref=\"show_task\"/>\n"
    "\x09" "\x09" "\x09" "\x09" "<xsd:element ref=\"service_request\"/>\n"
    "\x09" "\x09" "\x09" "\x09" "<xsd:element ref=\"start_job\"/>\n"
    "\x09" "\x09" "\x09" "\x09" "<xsd:element ref=\"subsystem.show\"/>\n"
    "\x09" "\x09" "\x09" "\x09" "<xsd:element ref=\"terminate\"/>\n"
    "\x09" "\x09" "\x09" "\x09" "<xsd:element ref=\"events.get\"/>\n"
    "\x09" "\x09" "\x09" "\x09" "<!--xsd:element ref=\"signal_object\"/-->\n"
    "\x09" "\x09" "\x09" "\x09" "<!-- Asynchron ausgef\xc3" "\xbc" "hrte Kommandos -->\n"
    "\x09" "\x09" "\x09" "\x09" "<!-- <xsd:element ref=\"get_events\"/> -->\n"
    "\x09" "\x09" "\x09" "</xsd:choice>\n"
    "\x09" "\x09" "</xsd:complexType>\n"
    "\x09" "</xsd:element>\n"
    "\x09" "<xsd:element name=\"cluster_member_command\">\n"
    "\x09" "\x09" "<xsd:complexType>\n"
    "\x09" "\x09" "\x09" "<xsd:choice>\n"
    "\x09" "\x09" "\x09" "\x09" "<xsd:element name=\"terminate\">\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:complexType>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:attribute name=\"timeout\" type=\"xsd:integer\"/>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:attribute name=\"restart\" type=\"Yes_no\"/>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "</xsd:complexType>\n"
    "\x09" "\x09" "\x09" "\x09" "</xsd:element>\n"
    "\x09" "\x09" "\x09" "</xsd:choice>\n"
    "\x09" "\x09" "</xsd:complexType>\n"
    "\x09" "</xsd:element>\n"
    "\x09" "<xsd:element name=\"commands\" type=\"Commands\"/>\n"
    "\x09" "<xsd:complexType name=\"Commands\">\n"
    "\x09" "\x09" "<xsd:choice minOccurs=\"0\" maxOccurs=\"unbounded\">\n"
    "\x09" "\x09" "\x09" "<xsd:element ref=\"add_jobs\"/>\n"
    "\x09" "\x09" "\x09" "<xsd:element ref=\"add_order\"/>\n"
    "\x09" "\x09" "\x09" "<xsd:element name=\"check_folders\" type=\"check_folders\"/>\n"
    "\x09" "\x09" "\x09" "<xsd:element ref=\"kill_task\"/>\n"
    "\x09" "\x09" "\x09" "<xsd:element ref=\"licence.use\"/>\n"
    "\x09" "\x09" "\x09" "<xsd:element name=\"lock\" type=\"lock\"/>\n"
    "\x09" "\x09" "\x09" "<xsd:element name=\"lock.remove\" type=\"lock.remove\"/>\n"
    "\x09" "\x09" "\x09" "<xsd:element ref=\"modify_job\"/>\n"
    "\x09" "\x09" "\x09" "<xsd:element ref=\"modify_hot_folder\"/>\n"
    "\x09" "\x09" "\x09" "<xsd:element ref=\"modify_order\"/>\n"
    "\x09" "\x09" "\x09" "<xsd:element ref=\"modify_spooler\"/>\n"
    "\x09" "\x09" "\x09" "<xsd:element ref=\"job_chain.modify\"/>\n"
    "\x09" "\x09" "\x09" "<xsd:element ref=\"job_chain_node.modify\"/>\n"
    "\x09" "\x09" "\x09" "<xsd:element name=\"order\" type=\"order\"/>\n"
    "\x09" "\x09" "\x09" "<xsd:element name=\"process_class\" type=\"process_class\"/>\n"
    "\x09" "\x09" "\x09" "<xsd:element name=\"process_class.remove\" type=\"process_class.remove\"/>\n"
    "\x09" "\x09" "\x09" "<xsd:element ref=\"register_remote_scheduler\"/>\n"
    "\x09" "\x09" "\x09" "<xsd:element ref=\"remove_job_chain\"/>\n"
    "\x09" "\x09" "\x09" "<xsd:element ref=\"remove_order\"/>\n"
    "\x09" "\x09" "\x09" "<xsd:element name=\"run_time\" type=\"run_time\"/>\n"
    "\x09" "\x09" "\x09" "<xsd:element ref=\"scheduler_log.log_categories.reset\"/>\n"
    "\x09" "\x09" "\x09" "<xsd:element ref=\"scheduler_log.log_categories.set\"/>\n"
    "\x09" "\x09" "\x09" "<xsd:element ref=\"scheduler_log.log_categories.show\"/>\n"
    "\x09" "\x09" "\x09" "<xsd:element ref=\"show_calendar\"/>\n"
    "\x09" "\x09" "\x09" "<xsd:element ref=\"show_history\"/>\n"
    "\x09" "\x09" "\x09" "<xsd:element ref=\"show_job\"/>\n"
    "\x09" "\x09" "\x09" "<xsd:element ref=\"show_jobs\"/>\n"
    "\x09" "\x09" "\x09" "<xsd:element ref=\"show_job_chains\"/>\n"
    "\x09" "\x09" "\x09" "<xsd:element ref=\"show_job_chain\"/>\n"
    "\x09" "\x09" "\x09" "<xsd:element ref=\"show_order\"/>\n"
    "\x09" "\x09" "\x09" "<xsd:element ref=\"s\"/>\n"
    "\x09" "\x09" "\x09" "<xsd:element ref=\"show_schedulers\"/>\n"
    "\x09" "\x09" "\x09" "<xsd:element ref=\"show_state\"/>\n"
    "\x09" "\x09" "\x09" "<xsd:element ref=\"show_task\"/>\n"
    "\x09" "\x09" "\x09" "<xsd:element ref=\"service_request\"/>\n"
    "\x09" "\x09" "\x09" "<xsd:element ref=\"start_job\"/>\n"
    "\x09" "\x09" "\x09" "<xsd:element ref=\"subsystem.show\"/>\n"
    "\x09" "\x09" "\x09" "<xsd:element ref=\"remote_scheduler.start_remote_task\"/>\n"
    "\x09" "\x09" "\x09" "<xsd:element ref=\"remote_scheduler.remote_task.close\"/>\n"
    "\x09" "\x09" "\x09" "<xsd:element ref=\"terminate\"/>\n"
    "\x09" "\x09" "\x09" "<!-- Nicht f\xc3" "\xbc" "r den Scheduler, sondern f\xc3" "\xbc" "r M\xc3" "\xbc" "r\xc3" "\xbc" "vet \xc3" "\x96" "ks\xc3" "\xbc" "zs Konfigurations-Editor. 2007-10-04 -->\n"
    "\x09" "\x09" "\x09" "<!--xsd:element ref=\"signal_object\"/-->\n"
    "\x09" "\x09" "</xsd:choice>\n"
    "\x09" "\x09" "<xsd:attribute name=\"on_exit_code\">\n"
    "\x09" "\x09" "\x09" "<xsd:annotation>\n"
    "\x09" "\x09" "\x09" "\x09" "<xsd:documentation>\n"
    "Only valid in element job!\n"
    "examples: on_exit_code=\"success\" on_exit_code=\"error\" on_exit_code=\"1 2 3\"\n"
    "</xsd:documentation>\n"
    "\x09" "\x09" "\x09" "</xsd:annotation>\n"
    "\x09" "\x09" "\x09" "<xsd:simpleType>\n"
    "\x09" "\x09" "\x09" "\x09" "<xsd:union>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:simpleType>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:restriction base=\"xsd:NMTOKEN\">\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:enumeration value=\"success\">\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:annotation>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:documentation>This is exit code 0</xsd:documentation>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "</xsd:annotation>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "</xsd:enumeration>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:enumeration value=\"error\">\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:annotation>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:documentation>This is all other exit codes but 0</xsd:documentation>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "</xsd:annotation>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "</xsd:enumeration>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:enumeration value=\"signal\">\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:annotation>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:documentation>exit codes less than 0 (a signal under Unix)</xsd:documentation>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "</xsd:annotation>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "</xsd:enumeration>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "</xsd:restriction>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "</xsd:simpleType>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:simpleType>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:list>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:simpleType>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:union memberTypes=\"xsd:integer Unix_signal_name\"/>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "</xsd:simpleType>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "</xsd:list>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "</xsd:simpleType>\n"
    "\x09" "\x09" "\x09" "\x09" "</xsd:union>\n"
    "\x09" "\x09" "\x09" "</xsd:simpleType>\n"
    "\x09" "\x09" "</xsd:attribute>\n"
    "\x09" "</xsd:complexType>\n"
    "\x09" "<xsd:element name=\"add_jobs\">\n"
    "\x09" "\x09" "<xsd:complexType>\n"
    "\x09" "\x09" "\x09" "<xsd:sequence>\n"
    "\x09" "\x09" "\x09" "\x09" "<xsd:element ref=\"job\" maxOccurs=\"unbounded\"/>\n"
    "\x09" "\x09" "\x09" "</xsd:sequence>\n"
    "\x09" "\x09" "</xsd:complexType>\n"
    "\x09" "</xsd:element>\n"
    "\x09" "<xsd:element name=\"add_order\" type=\"order\"/>\n"
    "\x09" "<xsd:element name=\"check_folders\" type=\"check_folders\"/>\n"
    "\x09" "<xsd:element name=\"holiday\">\n"
    "\x09" "\x09" "<xsd:complexType>\n"
    "\x09" "\x09" "\x09" "<xsd:attribute name=\"date\" type=\"String\" use=\"required\"/>\n"
    "\x09" "\x09" "</xsd:complexType>\n"
    "\x09" "</xsd:element>\n"
    "\x09" "<xsd:element name=\"holidays\">\n"
    "\x09" "\x09" "<xsd:complexType>\n"
    "\x09" "\x09" "\x09" "<xsd:choice minOccurs=\"0\" maxOccurs=\"unbounded\">\n"
    "\x09" "\x09" "\x09" "\x09" "<xsd:element name=\"weekdays\" minOccurs=\"0\">\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:complexType>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:sequence>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:element name=\"day\" maxOccurs=\"unbounded\">\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:complexType>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:attribute name=\"day\" use=\"required\">\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:simpleType>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:list itemType=\"Weekday\"/>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "</xsd:simpleType>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "</xsd:attribute>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "</xsd:complexType>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "</xsd:element>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "</xsd:sequence>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "</xsd:complexType>\n"
    "\x09" "\x09" "\x09" "\x09" "</xsd:element>\n"
    "\x09" "\x09" "\x09" "\x09" "<xsd:element ref=\"holiday\"/>\n"
    "\x09" "\x09" "\x09" "\x09" "<xsd:element ref=\"include\"/>\n"
    "\x09" "\x09" "\x09" "</xsd:choice>\n"
    "\x09" "\x09" "</xsd:complexType>\n"
    "\x09" "</xsd:element>\n"
    "\x09" "<xsd:element name=\"include\">\n"
    "\x09" "\x09" "<xsd:complexType>\n"
    "\x09" "\x09" "\x09" "<xsd:attribute name=\"file\" type=\"File\"/>\n"
    "\x09" "\x09" "\x09" "<xsd:attribute name=\"live_file\" type=\"File\"/>\n"
    "\x09" "\x09" "</xsd:complexType>\n"
    "\x09" "</xsd:element>\n"
    "\x09" "<xsd:element name=\"job\">\n"
    "\x09" "\x09" "<xsd:complexType>\n"
    "\x09" "\x09" "\x09" "<xsd:sequence>\n"
    "\x09" "\x09" "\x09" "\x09" "<xsd:element name=\"settings\" type=\"Job.Settings\" minOccurs=\"0\"/>\n"
    "\x09" "\x09" "\x09" "\x09" "<xsd:element name=\"description\" minOccurs=\"0\">\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:complexType mixed=\"true\">\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:choice minOccurs=\"0\" maxOccurs=\"unbounded\">\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:element ref=\"include\"/>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "</xsd:choice>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "</xsd:complexType>\n"
    "\x09" "\x09" "\x09" "\x09" "</xsd:element>\n"
    "\x09" "\x09" "\x09" "\x09" "<xsd:element name=\"lock.use\" minOccurs=\"0\" maxOccurs=\"unbounded\">\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:complexType>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:attribute name=\"lock\" type=\"String\" use=\"required\"/>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:attribute name=\"exclusive\" type=\"Yes_no\"/>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "</xsd:complexType>\n"
    "\x09" "\x09" "\x09" "\x09" "</xsd:element>\n"
    "\x09" "\x09" "\x09" "\x09" "<xsd:element ref=\"params\" minOccurs=\"0\"/>\n"
    "\x09" "\x09" "\x09" "\x09" "<xsd:element name=\"environment\" type=\"environment\" minOccurs=\"0\"/>\n"
    "\x09" "\x09" "\x09" "\x09" "<xsd:choice minOccurs=\"0\">\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:element ref=\"script\"/>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:element name=\"process\">\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:complexType>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:sequence>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:element name=\"environment\" type=\"environment\" minOccurs=\"0\"/>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "<!-- Veraltet -->\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "</xsd:sequence>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:attribute name=\"file\" type=\"File\" use=\"required\"/>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:attribute name=\"param\" type=\"String\"/>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:attribute name=\"log_file\" type=\"File\"/>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:attribute name=\"ignore_error\" type=\"Yes_no\"/>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:attribute name=\"ignore_signal\" type=\"Yes_no\"/>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "</xsd:complexType>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "</xsd:element>\n"
    "\x09" "\x09" "\x09" "\x09" "</xsd:choice>\n"
    "\x09" "\x09" "\x09" "\x09" "<xsd:element name=\"monitor\" minOccurs=\"0\" maxOccurs=\"unbounded\">\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:complexType>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:sequence>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:element ref=\"script\"/>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "</xsd:sequence>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:attribute name=\"name\" type=\"Name\"/>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:attribute name=\"ordering\" type=\"xsd:nonNegativeInteger\"/>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "</xsd:complexType>\n"
    "\x09" "\x09" "\x09" "\x09" "</xsd:element>\n"
    "\x09" "\x09" "\x09" "\x09" "<xsd:element name=\"start_when_directory_changed\" minOccurs=\"0\" maxOccurs=\"unbounded\">\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:complexType>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:attribute name=\"directory\" type=\"File\" use=\"required\"/>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:attribute name=\"regex\" type=\"String\"/>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "</xsd:complexType>\n"
    "\x09" "\x09" "\x09" "\x09" "</xsd:element>\n"
    "\x09" "\x09" "\x09" "\x09" "<xsd:element name=\"delay_after_error\" minOccurs=\"0\" maxOccurs=\"unbounded\">\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:complexType>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:attribute name=\"error_count\" type=\"xsd:positiveInteger\" use=\"required\"/>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:attribute name=\"delay\" use=\"required\">\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:simpleType>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:restriction base=\"String\"/>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "<!-- Das l\xc3" "\xa4" "sst libxslt abst\xc3" "\xbc" "rzen: \n"
    "<xsd:union>\n"
    "<xsd:simpleType>\n"
    "<xsd:restriction base=\"Duration\"/>\n"
    "</xsd:simpleType>\n"
    "<xsd:simpleType>\n"
    "<xsd:restriction base=\"xsd:NMTOKEN\">\n"
    "<xsd:enumeration value=\"stop\"/>\n"
    "<xsd:enumeration value=\"stop\"/>\n"
    "</xsd:restriction>\n"
    "</xsd:simpleType>\n"
    "</xsd:union-->\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "</xsd:simpleType>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "</xsd:attribute>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "</xsd:complexType>\n"
    "\x09" "\x09" "\x09" "\x09" "</xsd:element>\n"
    "\x09" "\x09" "\x09" "\x09" "<xsd:element name=\"delay_order_after_setback\" minOccurs=\"0\" maxOccurs=\"unbounded\">\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:complexType>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:attribute name=\"setback_count\" type=\"xsd:positiveInteger\" use=\"required\"/>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:attribute name=\"delay\" type=\"Duration\"/>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:attribute name=\"is_maximum\" type=\"Yes_no\"/>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "</xsd:complexType>\n"
    "\x09" "\x09" "\x09" "\x09" "</xsd:element>\n"
    "\x09" "\x09" "\x09" "\x09" "<xsd:element name=\"run_time\" type=\"run_time\" minOccurs=\"0\"/>\n"
    "\x09" "\x09" "\x09" "\x09" "<xsd:element name=\"commands\" type=\"Commands\" minOccurs=\"0\" maxOccurs=\"unbounded\"/>\n"
    "\x09" "\x09" "\x09" "</xsd:sequence>\n"
    "\x09" "\x09" "\x09" "<xsd:attribute name=\"name\" type=\"Name\"/>\n"
    "\x09" "\x09" "\x09" "<xsd:attribute name=\"visible\" type=\"Yes_no_never\"/>\n"
    "\x09" "\x09" "\x09" "<xsd:attribute name=\"priority\" type=\"Process_priority\"/>\n"
    "\x09" "\x09" "\x09" "<xsd:attribute name=\"temporary\" type=\"Yes_no\"/>\n"
    "\x09" "\x09" "\x09" "<xsd:attribute name=\"spooler_id\" type=\"Name\"/>\n"
    "\x09" "\x09" "\x09" "<xsd:attribute name=\"title\" type=\"String\"/>\n"
    "\x09" "\x09" "\x09" "<xsd:attribute name=\"log_append\" type=\"Yes_no\"/>\n"
    "\x09" "\x09" "\x09" "<xsd:attribute name=\"order\" type=\"Yes_no\"/>\n"
    "\x09" "\x09" "\x09" "<xsd:attribute name=\"separate_process\" type=\"Yes_no\"/>\n"
    "\x09" "\x09" "\x09" "<xsd:attribute name=\"tasks\" type=\"xsd:nonNegativeInteger\"/>\n"
    "\x09" "\x09" "\x09" "<xsd:attribute name=\"min_tasks\" type=\"xsd:positiveInteger\"/>\n"
    "\x09" "\x09" "\x09" "<xsd:attribute name=\"timeout\" type=\"Duration\"/>\n"
    "\x09" "\x09" "\x09" "<xsd:attribute name=\"idle_timeout\" type=\"Duration_or_never\"/>\n"
    "\x09" "\x09" "\x09" "<xsd:attribute name=\"force_idle_timeout\" type=\"Yes_no\"/>\n"
    "\x09" "\x09" "\x09" "<xsd:attribute name=\"process_class\" type=\"Path\"/>\n"
    "\x09" "\x09" "\x09" "<xsd:attribute name=\"mail_xslt_stylesheet\" type=\"File\"/>\n"
    "\x09" "\x09" "\x09" "<xsd:attribute name=\"java_options\" type=\"String\"/>\n"
    "\x09" "\x09" "\x09" "<xsd:attribute name=\"stop_on_error\" type=\"Yes_no\"/>\n"
    "\x09" "\x09" "\x09" "<xsd:attribute name=\"ignore_signals\">\n"
    "\x09" "\x09" "\x09" "\x09" "<xsd:simpleType>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:union>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:simpleType>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:restriction base=\"xsd:NMTOKEN\">\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:enumeration value=\"all\"/>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "</xsd:restriction>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "</xsd:simpleType>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:simpleType>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:list itemType=\"Unix_signal\"/>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "</xsd:simpleType>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "</xsd:union>\n"
    "\x09" "\x09" "\x09" "\x09" "</xsd:simpleType>\n"
    "\x09" "\x09" "\x09" "</xsd:attribute>\n"
    "\x09" "\x09" "\x09" "<xsd:attribute name=\"replace\" type=\"Yes_no\"/>\n"
    "\x09" "\x09" "\x09" "<xsd:attribute name=\"warn_if_longer_than\" type=\"Duration_or_percentage\"/>\n"
    "\x09" "\x09" "\x09" "<xsd:attribute name=\"warn_if_shorter_than\" type=\"Duration_or_percentage\"/>\n"
    "\x09" "\x09" "\x09" "<!-- Veraltet, wird ignoriert -->\n"
    "\x09" "\x09" "\x09" "<!-- F\xc3" "\xbc" "r ap, 1.4.06 timeout=\"0\" soll erlaubt sein (kein Aprilscherz) -->\n"
    "\x09" "\x09" "\x09" "<xsd:attribute name=\"enabled\" type=\"Yes_no\"/>\n"
    "\x09" "\x09" "</xsd:complexType>\n"
    "\x09" "\x09" "<!--libxslt xsd:key name=\"delay_after_error\">\n"
    "<xsd:selector xpath=\"delay_after_error\"/>\n"
    "<xsd:field xpath=\"@error_count\"/>\n"
    "</xsd:key-->\n"
    "\x09" "\x09" "<!--libxslt xsd:key name=\"delay_order_after_setback\">\n"
    "<xsd:selector xpath=\"delay_order_after_setback\"/>\n"
    "<xsd:field xpath=\"@setback_count\"/>\n"
    "</xsd:key-->\n"
    "\x09" "</xsd:element>\n"
    "\x09" "<xsd:complexType name=\"Job.Settings\">\n"
    "\x09" "\x09" "<xsd:sequence>\n"
    "\x09" "\x09" "\x09" "<xsd:element name=\"mail_on_error\" type=\"Yes_no\" minOccurs=\"0\"/>\n"
    "\x09" "\x09" "\x09" "<xsd:element name=\"mail_on_warning\" type=\"Yes_no\" minOccurs=\"0\"/>\n"
    "\x09" "\x09" "\x09" "<xsd:element name=\"mail_on_success\" type=\"Yes_no\" minOccurs=\"0\"/>\n"
    "\x09" "\x09" "\x09" "<xsd:element name=\"mail_on_process\" minOccurs=\"0\">\n"
    "\x09" "\x09" "\x09" "\x09" "<xsd:simpleType>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:union memberTypes=\"Yes_no xsd:positiveInteger\"/>\n"
    "\x09" "\x09" "\x09" "\x09" "</xsd:simpleType>\n"
    "\x09" "\x09" "\x09" "</xsd:element>\n"
    "\x09" "\x09" "\x09" "<xsd:element name=\"mail_on_delay_after_error\" minOccurs=\"0\">\n"
    "\x09" "\x09" "\x09" "\x09" "<xsd:simpleType>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:restriction base=\"xsd:NMTOKEN\">\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:enumeration value=\"all\"/>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:enumeration value=\"first_only\"/>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:enumeration value=\"last_only\"/>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:enumeration value=\"first_and_last_only\"/>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "</xsd:restriction>\n"
    "\x09" "\x09" "\x09" "\x09" "</xsd:simpleType>\n"
    "\x09" "\x09" "\x09" "</xsd:element>\n"
    "\x09" "\x09" "\x09" "<xsd:element name=\"log_mail_to\" type=\"Non_empty_string\" minOccurs=\"0\"/>\n"
    "\x09" "\x09" "\x09" "<xsd:element name=\"log_mail_cc\" type=\"Non_empty_string\" minOccurs=\"0\"/>\n"
    "\x09" "\x09" "\x09" "<xsd:element name=\"log_mail_bcc\" type=\"Non_empty_string\" minOccurs=\"0\"/>\n"
    "\x09" "\x09" "\x09" "<xsd:element name=\"log_level\" type=\"Log_level\" minOccurs=\"0\"/>\n"
    "\x09" "\x09" "\x09" "<xsd:element name=\"history\" type=\"Yes_no\" minOccurs=\"0\"/>\n"
    "\x09" "\x09" "\x09" "<xsd:element name=\"history_on_process\" minOccurs=\"0\">\n"
    "\x09" "\x09" "\x09" "\x09" "<xsd:simpleType>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:union memberTypes=\"Yes_no xsd:nonNegativeInteger\"/>\n"
    "\x09" "\x09" "\x09" "\x09" "</xsd:simpleType>\n"
    "\x09" "\x09" "\x09" "</xsd:element>\n"
    "\x09" "\x09" "\x09" "<xsd:element name=\"history_with_log\" minOccurs=\"0\">\n"
    "\x09" "\x09" "\x09" "\x09" "<xsd:simpleType>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:restriction base=\"xsd:NMTOKEN\">\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:enumeration value=\"yes\"/>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:enumeration value=\"no\"/>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:enumeration value=\"gzip\"/>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "</xsd:restriction>\n"
    "\x09" "\x09" "\x09" "\x09" "</xsd:simpleType>\n"
    "\x09" "\x09" "\x09" "</xsd:element>\n"
    "\x09" "\x09" "</xsd:sequence>\n"
    "\x09" "</xsd:complexType>\n"
    "\x09" "<xsd:element name=\"job_chain\">\n"
    "\x09" "\x09" "<xsd:complexType>\n"
    "\x09" "\x09" "\x09" "<xsd:sequence>\n"
    "\x09" "\x09" "\x09" "\x09" "<xsd:element name=\"note\" minOccurs=\"0\" maxOccurs=\"unbounded\"/>\n"
    "\x09" "\x09" "\x09" "\x09" "<xsd:choice>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:sequence>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:element name=\"job_chain_node.job_chain\" type=\"job_chain_node.job_chain\"/>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:choice maxOccurs=\"unbounded\">\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:element name=\"job_chain_node.job_chain\" type=\"job_chain_node.job_chain\"/>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:element name=\"job_chain_node.end\" type=\"job_chain_node.end\"/>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "</xsd:choice>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "</xsd:sequence>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:sequence>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:element name=\"file_order_source\" minOccurs=\"0\" maxOccurs=\"unbounded\">\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:complexType>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:attribute name=\"directory\" type=\"String\" use=\"required\"/>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:attribute name=\"regex\" type=\"String\"/>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:attribute name=\"delay_after_error\" type=\"xsd:positiveInteger\"/>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:attribute name=\"repeat\">\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:simpleType>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:union>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:simpleType>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:restriction base=\"xsd:NMTOKEN\">\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:enumeration value=\"no\"/>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "</xsd:restriction>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "</xsd:simpleType>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:simpleType>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:restriction base=\"xsd:positiveInteger\"/>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "</xsd:simpleType>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "</xsd:union>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "</xsd:simpleType>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "</xsd:attribute>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:attribute name=\"max\" type=\"xsd:positiveInteger\"/>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:attribute name=\"next_state\" type=\"String\"/>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "</xsd:complexType>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "</xsd:element>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:choice maxOccurs=\"unbounded\">\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:element name=\"job_chain_node\">\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:complexType>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:attribute name=\"state\" type=\"String\" use=\"required\"/>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:attribute name=\"job\" type=\"Path\"/>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:attribute name=\"next_state\" type=\"String\"/>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:attribute name=\"error_state\" type=\"String\"/>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:attribute name=\"on_error\">\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:simpleType>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:restriction base=\"xsd:NMTOKEN\">\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:enumeration value=\"setback\"/>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:enumeration value=\"suspend\"/>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "</xsd:restriction>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "</xsd:simpleType>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "</xsd:attribute>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:attribute name=\"suspend\" type=\"Yes_no\"/>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:attribute name=\"delay\" type=\"xsd:nonNegativeInteger\"/>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "</xsd:complexType>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "</xsd:element>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:element name=\"file_order_sink\">\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:complexType>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:attribute name=\"state\" type=\"String\" use=\"required\"/>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:attribute name=\"remove\" type=\"Yes_no\"/>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:attribute name=\"move_to\" type=\"File\"/>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:attribute name=\"delay\" type=\"xsd:nonNegativeInteger\"/>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "</xsd:complexType>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "</xsd:element>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:element name=\"job_chain_node.end\" type=\"job_chain_node.end\"/>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "</xsd:choice>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "</xsd:sequence>\n"
    "\x09" "\x09" "\x09" "\x09" "</xsd:choice>\n"
    "\x09" "\x09" "\x09" "</xsd:sequence>\n"
    "\x09" "\x09" "\x09" "<xsd:attribute name=\"name\" type=\"Name\"/>\n"
    "\x09" "\x09" "\x09" "<xsd:attribute name=\"replace\" type=\"Yes_no\"/>\n"
    "\x09" "\x09" "\x09" "<xsd:attribute name=\"visible\" type=\"Yes_no_never\"/>\n"
    "\x09" "\x09" "\x09" "<xsd:attribute name=\"orders_recoverable\" type=\"Yes_no\"/>\n"
    "\x09" "\x09" "\x09" "<xsd:attribute name=\"distributed\" type=\"Yes_no\"/>\n"
    "\x09" "\x09" "\x09" "<xsd:attribute name=\"title\" type=\"String\"/>\n"
    "\x09" "\x09" "\x09" "<xsd:attribute name=\"max_orders\" type=\"xsd:nonNegativeInteger\"/>\n"
    "\x09" "\x09" "</xsd:complexType>\n"
    "\x09" "\x09" "<!--libxslt xsd:key name=\"job_chain_node\">\n"
    "<xsd:selector xpath=\"job_chain_node\"/>\n"
    "<xsd:field xpath=\"@state\"/>\n"
    "</xsd:key-->\n"
    "\x09" "\x09" "<!--xsd:keyref name=\"job_chain_node.next_state\" refer=\"job_chain_node\">\n"
    "<xsd:selector xpath=\"job_chain_node\"/>\n"
    "<xsd:field xpath=\"@next_state\"/>\n"
    "</xsd:keyref-->\n"
    "\x09" "\x09" "<!--xsd:keyref name=\"job_chain_node.error_state\" refer=\"job_chain_node\">\n"
    "<xsd:selector xpath=\"job_chain_node\"/>\n"
    "<xsd:field xpath=\"@error_state\"/>\n"
    "</xsd:keyref-->\n"
    "\x09" "</xsd:element>\n"
    "\x09" "<xsd:complexType name=\"job_chain_node.job_chain\">\n"
    "\x09" "\x09" "<xsd:attribute name=\"state\" type=\"String\" use=\"required\"/>\n"
    "\x09" "\x09" "<xsd:attribute name=\"job_chain\" type=\"Path\"/>\n"
    "\x09" "\x09" "<xsd:attribute name=\"next_state\" type=\"String\"/>\n"
    "\x09" "\x09" "<xsd:attribute name=\"error_state\" type=\"String\"/>\n"
    "\x09" "</xsd:complexType>\n"
    "\x09" "<xsd:complexType name=\"job_chain_node.end\">\n"
    "\x09" "\x09" "<xsd:attribute name=\"state\" type=\"String\" use=\"required\"/>\n"
    "\x09" "</xsd:complexType>\n"
    "\x09" "<xsd:element name=\"job_chains\">\n"
    "\x09" "\x09" "<xsd:complexType>\n"
    "\x09" "\x09" "\x09" "<xsd:sequence>\n"
    "\x09" "\x09" "\x09" "\x09" "<xsd:element ref=\"job_chain\" maxOccurs=\"unbounded\"/>\n"
    "\x09" "\x09" "\x09" "</xsd:sequence>\n"
    "\x09" "\x09" "</xsd:complexType>\n"
    "\x09" "</xsd:element>\n"
    "\x09" "<xsd:element name=\"jobs\">\n"
    "\x09" "\x09" "<xsd:complexType>\n"
    "\x09" "\x09" "\x09" "<xsd:sequence>\n"
    "\x09" "\x09" "\x09" "\x09" "<xsd:element ref=\"job\" minOccurs=\"0\" maxOccurs=\"unbounded\"/>\n"
    "\x09" "\x09" "\x09" "</xsd:sequence>\n"
    "\x09" "\x09" "</xsd:complexType>\n"
    "\x09" "\x09" "<!--libxslt xsd:key name=\"job\">\n"
    "<xsd:selector xpath=\"job\"/>\n"
    "<xsd:field xpath=\"@name\"/>\n"
    "</xsd:key-->\n"
    "\x09" "</xsd:element>\n"
    "\x09" "<xsd:element name=\"kill_task\">\n"
    "\x09" "\x09" "<xsd:complexType>\n"
    "\x09" "\x09" "\x09" "<xsd:attribute name=\"job\" type=\"Path\" use=\"required\"/>\n"
    "\x09" "\x09" "\x09" "<xsd:attribute name=\"id\" type=\"Task_id\" use=\"required\"/>\n"
    "\x09" "\x09" "\x09" "<xsd:attribute name=\"immediately\" type=\"Yes_no\"/>\n"
    "\x09" "\x09" "</xsd:complexType>\n"
    "\x09" "</xsd:element>\n"
    "\x09" "<xsd:element name=\"licence.use\">\n"
    "\x09" "\x09" "<xsd:complexType>\n"
    "\x09" "\x09" "\x09" "<xsd:attribute name=\"key\" type=\"String\" use=\"required\"/>\n"
    "\x09" "\x09" "</xsd:complexType>\n"
    "\x09" "</xsd:element>\n"
    "\x09" "<xsd:element name=\"modify_job\">\n"
    "\x09" "\x09" "<xsd:complexType>\n"
    "\x09" "\x09" "\x09" "<xsd:sequence>\n"
    "\x09" "\x09" "\x09" "\x09" "<xsd:element name=\"run_time\" type=\"run_time\" minOccurs=\"0\"/>\n"
    "\x09" "\x09" "\x09" "</xsd:sequence>\n"
    "\x09" "\x09" "\x09" "<xsd:attribute name=\"job\" type=\"Path\" use=\"required\"/>\n"
    "\x09" "\x09" "\x09" "<xsd:attribute name=\"cmd\">\n"
    "\x09" "\x09" "\x09" "\x09" "<xsd:simpleType>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:restriction base=\"xsd:NMTOKEN\">\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:enumeration value=\"stop\"/>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:enumeration value=\"unstop\"/>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:enumeration value=\"start\"/>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:enumeration value=\"wake\"/>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:enumeration value=\"end\"/>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:enumeration value=\"suspend\"/>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:enumeration value=\"continue\"/>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:enumeration value=\"reread\"/>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:enumeration value=\"remove\"/>\n"
    "<xsd:enumeration value=\"enable\"/>\n"
    "<xsd:enumeration value=\"disable\"/>                      \n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "</xsd:restriction>\n"
    "\x09" "\x09" "\x09" "\x09" "</xsd:simpleType>\n"
    "\x09" "\x09" "\x09" "</xsd:attribute>\n"
    "\x09" "\x09" "</xsd:complexType>\n"
    "\x09" "</xsd:element>\n"
    "\x09" "<xsd:element name=\"modify_hot_folder\" type=\"modify_hot_folder\"/>\n"
    "\x09" "<xsd:element name=\"job_chain.modify\">\n"
    "\x09" "\x09" "<xsd:complexType>\n"
    "\x09" "\x09" "\x09" "<xsd:attribute name=\"job_chain\" type=\"Path\" use=\"required\"/>\n"
    "\x09" "\x09" "\x09" "<xsd:attribute name=\"state\">\n"
    "\x09" "\x09" "\x09" "\x09" "<xsd:simpleType>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:restriction base=\"String\">\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:enumeration value=\"running\"/>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:enumeration value=\"stopped\"/>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "</xsd:restriction>\n"
    "\x09" "\x09" "\x09" "\x09" "</xsd:simpleType>\n"
    "\x09" "\x09" "\x09" "</xsd:attribute>\n"
    "\x09" "\x09" "</xsd:complexType>\n"
    "\x09" "</xsd:element>\n"
    "\x09" "<xsd:element name=\"job_chain_node.modify\">\n"
    "\x09" "\x09" "<xsd:complexType>\n"
    "\x09" "\x09" "\x09" "<xsd:attribute name=\"job_chain\" type=\"Path\" use=\"required\"/>\n"
    "\x09" "\x09" "\x09" "<xsd:attribute name=\"state\" type=\"String\" use=\"required\"/>\n"
    "\x09" "\x09" "\x09" "<xsd:attribute name=\"action\" type=\"Job_chain_node.Action\"/>\n"
    "\x09" "\x09" "</xsd:complexType>\n"
    "\x09" "</xsd:element>\n"
    "\x09" "<xsd:element name=\"lock\" type=\"lock\"/>\n"
    "\x09" "<xsd:element name=\"lock.remove\" type=\"lock.remove\"/>\n"
    "\x09" "<xsd:element name=\"modify_order\">\n"
    "\x09" "\x09" "<xsd:complexType>\n"
    "\x09" "\x09" "\x09" "<xsd:sequence>\n"
    "\x09" "\x09" "\x09" "\x09" "<xsd:element ref=\"params\" minOccurs=\"0\"/>\n"
    "\x09" "\x09" "\x09" "\x09" "<xsd:element name=\"xml_payload\" type=\"Xml_payload\" minOccurs=\"0\"/>\n"
    "\x09" "\x09" "\x09" "\x09" "<xsd:element name=\"run_time\" type=\"run_time\" minOccurs=\"0\"/>\n"
    "\x09" "\x09" "\x09" "</xsd:sequence>\n"
    "\x09" "\x09" "\x09" "<xsd:attribute name=\"job_chain\" type=\"Path\" use=\"required\"/>\n"
    "\x09" "\x09" "\x09" "<xsd:attribute name=\"order\" type=\"Order_id\" use=\"required\"/>\n"
    "\x09" "\x09" "\x09" "<xsd:attribute name=\"priority\" type=\"xsd:integer\"/>\n"
    "\x09" "\x09" "\x09" "<xsd:attribute name=\"title\" type=\"String\"/>\n"
    "\x09" "\x09" "\x09" "<xsd:attribute name=\"state\" type=\"String\"/>\n"
    "\x09" "\x09" "\x09" "<xsd:attribute name=\"setback\" type=\"No\"/>\n"
    "\x09" "\x09" "\x09" "<xsd:attribute name=\"suspended\" type=\"Yes_no\"/>\n"
    "\x09" "\x09" "\x09" "<xsd:attribute name=\"at\" type=\"Date_time_with_now\"/>\n"
    "\x09" "\x09" "\x09" "<xsd:attribute name=\"end_state\" type=\"String\"/>\n"
    "\x09" "\x09" "\x09" "<xsd:attribute name=\"action\">\n"
    "\x09" "\x09" "\x09" "\x09" "<xsd:simpleType>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:restriction base=\"xsd:NMTOKEN\">\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:enumeration value=\"reset\"/>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "</xsd:restriction>\n"
    "\x09" "\x09" "\x09" "\x09" "</xsd:simpleType>\n"
    "\x09" "\x09" "\x09" "</xsd:attribute>\n"
    "\x09" "\x09" "</xsd:complexType>\n"
    "\x09" "</xsd:element>\n"
    "\x09" "<xsd:element name=\"modify_spooler\">\n"
    "\x09" "\x09" "<xsd:complexType>\n"
    "\x09" "\x09" "\x09" "<xsd:attribute name=\"cmd\">\n"
    "\x09" "\x09" "\x09" "\x09" "<xsd:simpleType>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:restriction base=\"xsd:NMTOKEN\">\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:enumeration value=\"pause\"/>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:enumeration value=\"continue\"/>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:enumeration value=\"stop\"/>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:enumeration value=\"reload\"/>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:enumeration value=\"terminate\"/>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:enumeration value=\"terminate_and_restart\"/>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:enumeration value=\"let_run_terminate_and_restart\"/>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:enumeration value=\"abort_immediately\"/>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:enumeration value=\"abort_immediately_and_restart\"/>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "</xsd:restriction>\n"
    "\x09" "\x09" "\x09" "\x09" "</xsd:simpleType>\n"
    "\x09" "\x09" "\x09" "</xsd:attribute>\n"
    "\x09" "\x09" "\x09" "<xsd:attribute name=\"timeout\" type=\"xsd:nonNegativeInteger\"/>\n"
    "\x09" "\x09" "</xsd:complexType>\n"
    "\x09" "</xsd:element>\n"
    "\x09" "<xsd:element name=\"note\">\n"
    "\x09" "\x09" "<xsd:annotation>\n"
    "\x09" "\x09" "\x09" "<xsd:documentation>additional note in HTML</xsd:documentation>\n"
    "\x09" "\x09" "</xsd:annotation>\n"
    "\x09" "\x09" "<xsd:complexType mixed=\"true\">\n"
    "\x09" "\x09" "\x09" "<xsd:complexContent mixed=\"true\">\n"
    "\x09" "\x09" "\x09" "\x09" "<xsd:restriction base=\"xsd:anyType\">\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:sequence>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:any namespace=\"http://www.w3.org/1999/xhtml\" processContents=\"lax\"/>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "</xsd:sequence>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:attribute name=\"language\" use=\"required\">\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:simpleType>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:restriction base=\"xsd:string\">\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:length value=\"2\"/>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:enumeration value=\"de\"/>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:enumeration value=\"en\"/>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "</xsd:restriction>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "</xsd:simpleType>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "</xsd:attribute>\n"
    "\x09" "\x09" "\x09" "\x09" "</xsd:restriction>\n"
    "\x09" "\x09" "\x09" "</xsd:complexContent>\n"
    "\x09" "\x09" "</xsd:complexType>\n"
    "\x09" "</xsd:element>\n"
    "\x09" "<xsd:element name=\"order\" type=\"order\"/>\n"
    "\x09" "<xsd:complexType name=\"order\">\n"
    "\x09" "\x09" "<xsd:sequence>\n"
    "\x09" "\x09" "\x09" "<xsd:element ref=\"params\" minOccurs=\"0\"/>\n"
    "\x09" "\x09" "\x09" "<xsd:element name=\"run_time\" type=\"run_time\" minOccurs=\"0\"/>\n"
    "\x09" "\x09" "\x09" "<xsd:element name=\"payload\" minOccurs=\"0\">\n"
    "\x09" "\x09" "\x09" "\x09" "<xsd:complexType>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:sequence>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:any processContents=\"skip\"/>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "</xsd:sequence>\n"
    "\x09" "\x09" "\x09" "\x09" "</xsd:complexType>\n"
    "\x09" "\x09" "\x09" "\x09" "<!--xsd:element ref=\"params\" minOccurs=\"0\"/-->\n"
    "\x09" "\x09" "\x09" "</xsd:element>\n"
    "\x09" "\x09" "\x09" "<xsd:element name=\"xml_payload\" type=\"Xml_payload\" minOccurs=\"0\"/>\n"
    "\x09" "\x09" "</xsd:sequence>\n"
    "\x09" "\x09" "<xsd:attribute name=\"job_chain\" type=\"Path\"/>\n"
    "\x09" "\x09" "<xsd:attribute name=\"id\" type=\"Order_id\"/>\n"
    "\x09" "\x09" "<xsd:attribute name=\"priority\" type=\"xsd:integer\"/>\n"
    "\x09" "\x09" "<xsd:attribute name=\"title\" type=\"String\"/>\n"
    "\x09" "\x09" "<xsd:attribute name=\"state\" type=\"String\"/>\n"
    "\x09" "\x09" "<xsd:attribute name=\"end_state\" type=\"String\"/>\n"
    "\x09" "\x09" "<xsd:attribute name=\"web_service\" type=\"Name\"/>\n"
    "\x09" "\x09" "<xsd:attribute name=\"replace\" type=\"Yes_no\"/>\n"
    "\x09" "\x09" "<xsd:attribute name=\"at\" type=\"Date_time_with_now\"/>\n"
    "\x09" "\x09" "<xsd:attribute name=\"suspended\" type=\"Yes_no\"/>\n"
    "\x09" "</xsd:complexType>\n"
    "\x09" "<!--xsd:complexType name=\"order\">\n"
    "<xsd:sequence>\n"
    "<xsd:element ref=\"params\"   minOccurs=\"0\"/>\n"
    "<xsd:element ref=\"run_time\" minOccurs=\"0\"/>\n"
    "\n"
    "<xsd:element name=\"payload\" minOccurs=\"0\">\n"
    "<xsd:complexType>\n"
    "<xsd:sequence>\n"
    "<xsd:any processContents=\"skip\"/>\n"
    "</xsd:sequence>\n"
    "</xsd:complexType>\n"
    "</xsd:element>\n"
    "\n"
    "<xsd:element name=\"xml_payload\" type=\"Xml_payload\" minOccurs=\"0\"/>\n"
    "</xsd:sequence>\n"
    "\n"
    "<xsd:attribute name=\"priority\"          type=\"xsd:integer\"/>\n"
    "<xsd:attribute name=\"title\"             type=\"String\"/>\n"
    "<xsd:attribute name=\"state\"             type=\"String\"/>\n"
    "<xsd:attribute name=\"at\"                type=\"Date_time_with_now\"/>\n"
    "<xsd:attribute name=\"suspended\"         type=\"Yes_no\"/>\n"
    "</xsd:complexType-->\n"
    "\x09" "<xsd:element name=\"param\">\n"
    "\x09" "\x09" "<xsd:complexType>\n"
    "\x09" "\x09" "\x09" "<xsd:attribute name=\"name\" type=\"String\" use=\"required\"/>\n"
    "\x09" "\x09" "\x09" "<xsd:attribute name=\"value\" type=\"String\" use=\"required\"/>\n"
    "\x09" "\x09" "</xsd:complexType>\n"
    "\x09" "</xsd:element>\n"
    "\x09" "<xsd:element name=\"param.get\">\n"
    "\x09" "\x09" "<xsd:complexType>\n"
    "\x09" "\x09" "\x09" "<xsd:attribute name=\"name\" use=\"required\"/>\n"
    "\x09" "\x09" "</xsd:complexType>\n"
    "\x09" "</xsd:element>\n"
    "\x09" "<xsd:element name=\"params\">\n"
    "\x09" "\x09" "<xsd:complexType>\n"
    "\x09" "\x09" "\x09" "<xsd:sequence>\n"
    "\x09" "\x09" "\x09" "\x09" "<xsd:choice minOccurs=\"0\" maxOccurs=\"unbounded\">\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:element ref=\"param\"/>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:element name=\"copy_params\">\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:complexType>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:attribute name=\"from\" use=\"required\">\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:annotation>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:documentation>Only valid in element job/commands/start_job and job/commands/add_order</xsd:documentation>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "</xsd:annotation>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:simpleType>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:restriction base=\"xsd:NMTOKEN\">\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:enumeration value=\"task\"/>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:enumeration value=\"order\"/>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "</xsd:restriction>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "</xsd:simpleType>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "</xsd:attribute>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "</xsd:complexType>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "</xsd:element>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:element name=\"include\">\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:complexType>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:attribute name=\"file\" type=\"File\"/>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:attribute name=\"live_file\" type=\"File\"/>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:attribute name=\"node\" type=\"String\"/>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "</xsd:complexType>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "</xsd:element>\n"
    "\x09" "\x09" "\x09" "\x09" "</xsd:choice>\n"
    "\x09" "\x09" "\x09" "</xsd:sequence>\n"
    "\x09" "\x09" "</xsd:complexType>\n"
    "\x09" "</xsd:element>\n"
    "\x09" "<xsd:element name=\"params.get\"/>\n"
    "\x09" "<xsd:element name=\"period\">\n"
    "\x09" "\x09" "<xsd:complexType>\n"
    "\x09" "\x09" "\x09" "<xsd:attribute name=\"single_start\" type=\"Time_of_day\"/>\n"
    "\x09" "\x09" "\x09" "<xsd:attribute name=\"begin\" type=\"Time_of_day\"/>\n"
    "\x09" "\x09" "\x09" "<xsd:attribute name=\"end\" type=\"Time_of_day\"/>\n"
    "\x09" "\x09" "\x09" "<xsd:attribute name=\"let_run\" type=\"Yes_no\"/>\n"
    "\x09" "\x09" "\x09" "<xsd:attribute name=\"repeat\" type=\"Duration\"/>\n"
    "\x09" "\x09" "\x09" "<xsd:attribute name=\"absolute_repeat\" type=\"Duration\"/>\n"
    "\x09" "\x09" "\x09" "<xsd:attribute name=\"when_holiday\" type=\"When_holiday\"/>\n"
    "\x09" "\x09" "\x09" "<xsd:attribute name=\"start_once\" type=\"Yes_no\">\n"
    "\x09" "\x09" "\x09" "\x09" "<xsd:annotation>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:documentation>Test only for Joacim Zschimmer</xsd:documentation>\n"
    "\x09" "\x09" "\x09" "\x09" "</xsd:annotation>\n"
    "\x09" "\x09" "\x09" "</xsd:attribute>\n"
    "\x09" "\x09" "</xsd:complexType>\n"
    "\x09" "</xsd:element>\n"
    "\x09" "<xsd:element name=\"process_class\" type=\"process_class\"/>\n"
    "\x09" "<xsd:element name=\"process_class.remove\" type=\"process_class.remove\"/>\n"
    "\x09" "<xsd:element name=\"process_classes\">\n"
    "\x09" "\x09" "<xsd:complexType>\n"
    "\x09" "\x09" "\x09" "<xsd:sequence>\n"
    "\x09" "\x09" "\x09" "\x09" "<xsd:element name=\"process_class\" type=\"process_class\" minOccurs=\"0\" maxOccurs=\"unbounded\"/>\n"
    "\x09" "\x09" "\x09" "</xsd:sequence>\n"
    "\x09" "\x09" "\x09" "<xsd:attribute name=\"ignore\" type=\"Yes_no\"/>\n"
    "\x09" "\x09" "</xsd:complexType>\n"
    "\x09" "\x09" "<!-- XML-Schema erlaubt keine leeren Schl\xc3" "\xbc" "ssel.\n"
    "<xsd:key name=\"process_class\">\n"
    "<xsd:selector xpath=\"process_class\"/>\n"
    "<xsd:field xpath=\"@name\"/>\n"
    "</xsd:key-->\n"
    "\x09" "</xsd:element>\n"
    "\x09" "<xsd:element name=\"register_remote_scheduler\">\n"
    "\x09" "\x09" "<xsd:complexType>\n"
    "\x09" "\x09" "\x09" "<xsd:sequence>\n"
    "\x09" "\x09" "\x09" "\x09" "<xsd:element name=\"ERROR\" minOccurs=\"0\">\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:complexType/>\n"
    "\x09" "\x09" "\x09" "\x09" "</xsd:element>\n"
    "\x09" "\x09" "\x09" "</xsd:sequence>\n"
    "\x09" "\x09" "\x09" "<xsd:attribute name=\"version\" type=\"String\"/>\n"
    "\x09" "\x09" "\x09" "<xsd:attribute name=\"scheduler_id\" type=\"String\"/>\n"
    "\x09" "\x09" "\x09" "<xsd:attribute name=\"tcp_port\" type=\"xsd:nonNegativeInteger\"/>\n"
    "\x09" "\x09" "\x09" "<xsd:attribute name=\"udp_port\" type=\"xsd:nonNegativeInteger\"/>\n"
    "\x09" "\x09" "\x09" "<xsd:attribute name=\"is_cluster_member\" type=\"String\"/>\n"
    "\x09" "\x09" "\x09" "<xsd:attribute name=\"logoff\" type=\"Yes_no\"/>\n"
    "\x09" "\x09" "</xsd:complexType>\n"
    "\x09" "</xsd:element>\n"
    "\x09" "<xsd:element name=\"remove_job_chain\">\n"
    "\x09" "\x09" "<xsd:complexType>\n"
    "\x09" "\x09" "\x09" "<xsd:attribute name=\"job_chain\" type=\"Path\" use=\"required\"/>\n"
    "\x09" "\x09" "</xsd:complexType>\n"
    "\x09" "</xsd:element>\n"
    "\x09" "<xsd:element name=\"remove_order\">\n"
    "\x09" "\x09" "<xsd:complexType>\n"
    "\x09" "\x09" "\x09" "<xsd:attribute name=\"job_chain\" type=\"Path\" use=\"required\"/>\n"
    "\x09" "\x09" "\x09" "<xsd:attribute name=\"order\" type=\"Order_id\" use=\"required\"/>\n"
    "\x09" "\x09" "</xsd:complexType>\n"
    "\x09" "</xsd:element>\n"
    "\x09" "<xsd:element name=\"run_time\" type=\"run_time\"/>\n"
    "\x09" "<!-- F\xc3" "\xbc" "r Order.Run_time.xml = \"<run_time>\" -->\n"
    "\x09" "<xsd:element name=\"s\" type=\"Show_state\"/>\n"
    "\x09" "<xsd:element name=\"schedule\" type=\"run_time\"/>\n"
    "\x09" "<xsd:element name=\"schedule.remove\" type=\"schedule.remove\"/>\n"
    "\x09" "<xsd:element name=\"script\">\n"
    "\x09" "\x09" "<xsd:complexType mixed=\"true\">\n"
    "\x09" "\x09" "\x09" "<xsd:choice minOccurs=\"0\" maxOccurs=\"unbounded\">\n"
    "\x09" "\x09" "\x09" "\x09" "<xsd:element ref=\"include\"/>\n"
    "\x09" "\x09" "\x09" "</xsd:choice>\n"
    "\x09" "\x09" "\x09" "<xsd:attribute name=\"language\" type=\"Name\"/>\n"
    "\x09" "\x09" "\x09" "<xsd:attribute name=\"use_engine\">\n"
    "\x09" "\x09" "\x09" "\x09" "<xsd:simpleType>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:restriction base=\"xsd:NMTOKEN\">\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:enumeration value=\"task\"/>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "</xsd:restriction>\n"
    "\x09" "\x09" "\x09" "\x09" "</xsd:simpleType>\n"
    "\x09" "\x09" "\x09" "</xsd:attribute>\n"
    "\x09" "\x09" "\x09" "<xsd:attribute name=\"com_class\" type=\"String\"/>\n"
    "\x09" "\x09" "\x09" "<xsd:attribute name=\"filename\" type=\"File\"/>\n"
    "\x09" "\x09" "\x09" "<xsd:attribute name=\"java_class\" type=\"String\"/>\n"
    "\x09" "\x09" "\x09" "<xsd:attribute name=\"recompile\" type=\"Yes_no\"/>\n"
    "\x09" "\x09" "\x09" "<xsd:attribute name=\"encoding\" type=\"Code_page_encoding\"/>\n"
    "<xsd:attribute name=\"java_class_path\" type=\"String\"/> <!-- JS-540 -->\n"
    "\x09" "\x09" "\x09" "<!--xsd:attribute name=\"process_class\"         type=\"Path\"    s. eMail von P\xc3" "\xbc" "schel 2007-11-06 12:55 /-->\n"
    "\x09" "\x09" "</xsd:complexType>\n"
    "\x09" "</xsd:element>\n"
    "\x09" "<xsd:element name=\"security\">\n"
    "\x09" "\x09" "<xsd:complexType>\n"
    "\x09" "\x09" "\x09" "<xsd:sequence>\n"
    "\x09" "\x09" "\x09" "\x09" "<xsd:element name=\"allowed_host\" minOccurs=\"0\" maxOccurs=\"unbounded\">\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:complexType>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:attribute name=\"host\" type=\"String\" use=\"required\"/>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:attribute name=\"level\" use=\"required\">\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:simpleType>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:restriction base=\"xsd:NMTOKEN\">\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:enumeration value=\"none\"/>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:enumeration value=\"signal\"/>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:enumeration value=\"info\"/>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:enumeration value=\"no_add\"/>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:enumeration value=\"all\"/>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "</xsd:restriction>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "</xsd:simpleType>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "</xsd:attribute>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "</xsd:complexType>\n"
    "\x09" "\x09" "\x09" "\x09" "</xsd:element>\n"
    "\x09" "\x09" "\x09" "</xsd:sequence>\n"
    "\x09" "\x09" "\x09" "<xsd:attribute name=\"ignore_unknown_hosts\" type=\"Yes_no\"/>\n"
    "\x09" "\x09" "</xsd:complexType>\n"
    "\x09" "</xsd:element>\n"
    "\x09" "<xsd:element name=\"supervisor.remote_scheduler.configuration.fetch_updated_files\">\n"
    "\x09" "\x09" "<xsd:complexType>\n"
    "\x09" "\x09" "\x09" "<xsd:sequence>\n"
    "\x09" "\x09" "\x09" "\x09" "<xsd:choice minOccurs=\"0\" maxOccurs=\"unbounded\">\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:element name=\"configuration.file\" type=\"configuration.file\"/>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:element name=\"configuration.directory\" type=\"configuration.directory\"/>\n"
    "\x09" "\x09" "\x09" "\x09" "</xsd:choice>\n"
    "\x09" "\x09" "\x09" "</xsd:sequence>\n"
    "\x09" "\x09" "</xsd:complexType>\n"
    "\x09" "</xsd:element>\n"
    "\x09" "<xsd:element name=\"cluster\">\n"
    "\x09" "\x09" "<xsd:complexType>\n"
    "\x09" "\x09" "\x09" "<xsd:attribute name=\"heart_beat_timeout\" type=\"xsd:positiveInteger\"/>\n"
    "\x09" "\x09" "\x09" "<xsd:attribute name=\"heart_beat_own_timeout\">\n"
    "\x09" "\x09" "\x09" "\x09" "<xsd:simpleType>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:union memberTypes=\"xsd:positiveInteger\">\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:simpleType>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:restriction base=\"xsd:NMTOKEN\">\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:enumeration value=\"never\"/>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "</xsd:restriction>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "</xsd:simpleType>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "</xsd:union>\n"
    "\x09" "\x09" "\x09" "\x09" "</xsd:simpleType>\n"
    "\x09" "\x09" "\x09" "</xsd:attribute>\n"
    "\x09" "\x09" "\x09" "<xsd:attribute name=\"heart_beat_warn_timeout\" type=\"xsd:positiveInteger\"/>\n"
    "\x09" "\x09" "</xsd:complexType>\n"
    "\x09" "</xsd:element>\n"
    "\x09" "<xsd:element name=\"scheduler_log.log_categories.reset\">\n"
    "\x09" "\x09" "<xsd:complexType>\n"
    "\x09" "\x09" "\x09" "<xsd:attribute name=\"delay\" type=\"xsd:nonNegativeInteger\"/>\n"
    "\x09" "\x09" "</xsd:complexType>\n"
    "\x09" "</xsd:element>\n"
    "\x09" "<xsd:element name=\"scheduler_log.log_categories.set\">\n"
    "\x09" "\x09" "<xsd:complexType>\n"
    "\x09" "\x09" "\x09" "<xsd:attribute name=\"category\" type=\"String\" use=\"required\"/>\n"
    "\x09" "\x09" "\x09" "<xsd:attribute name=\"value\" type=\"Yes_no\"/>\n"
    "\x09" "\x09" "</xsd:complexType>\n"
    "\x09" "</xsd:element>\n"
    "\x09" "<xsd:element name=\"scheduler_log.log_categories.show\"/>\n"
    "\x09" "<xsd:element name=\"service_request\">\n"
    "\x09" "\x09" "<xsd:complexType>\n"
    "\x09" "\x09" "\x09" "<xsd:sequence>\n"
    "\x09" "\x09" "\x09" "\x09" "<xsd:element name=\"web_service\" type=\"web_service\" minOccurs=\"0\"/>\n"
    "\x09" "\x09" "\x09" "\x09" "<xsd:element name=\"content\">\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:complexType>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:sequence>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:any namespace=\"##any\"/>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "</xsd:sequence>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "</xsd:complexType>\n"
    "\x09" "\x09" "\x09" "\x09" "</xsd:element>\n"
    "\x09" "\x09" "\x09" "</xsd:sequence>\n"
    "\x09" "\x09" "\x09" "<xsd:attribute name=\"url\" type=\"String\"/>\n"
    "\x09" "\x09" "\x09" "<xsd:attribute name=\"url_path\" type=\"String\"/>\n"
    "\x09" "\x09" "</xsd:complexType>\n"
    "\x09" "</xsd:element>\n"
    "\x09" "<xsd:element name=\"show_calendar\">\n"
    "\x09" "\x09" "<xsd:complexType>\n"
    "\x09" "\x09" "\x09" "<xsd:attribute name=\"from\" type=\"xsd:dateTime\"/>\n"
    "\x09" "\x09" "\x09" "<xsd:attribute name=\"before\" type=\"xsd:dateTime\"/>\n"
    "\x09" "\x09" "\x09" "<xsd:attribute name=\"limit\" type=\"xsd:nonNegativeInteger\"/>\n"
    "\x09" "\x09" "\x09" "<xsd:attribute name=\"what\" type=\"What\"/>\n"
    "\x09" "\x09" "</xsd:complexType>\n"
    "\x09" "</xsd:element>\n"
    "\x09" "<xsd:element name=\"show_history\">\n"
    "\x09" "\x09" "<xsd:complexType>\n"
    "\x09" "\x09" "\x09" "<xsd:attribute name=\"job\" type=\"Path\" use=\"required\"/>\n"
    "\x09" "\x09" "\x09" "<xsd:attribute name=\"id\" type=\"Task_id\"/>\n"
    "\x09" "\x09" "\x09" "<xsd:attribute name=\"prev\" type=\"xsd:nonNegativeInteger\"/>\n"
    "\x09" "\x09" "\x09" "<xsd:attribute name=\"next\" type=\"xsd:nonNegativeInteger\"/>\n"
    "\x09" "\x09" "\x09" "<xsd:attribute name=\"what\" type=\"What\"/>\n"
    "\x09" "\x09" "\x09" "<xsd:attribute name=\"max_orders\" type=\"xsd:nonNegativeInteger\"/>\n"
    "\x09" "\x09" "</xsd:complexType>\n"
    "\x09" "</xsd:element>\n"
    "\x09" "<xsd:element name=\"show_job\">\n"
    "\x09" "\x09" "<xsd:complexType>\n"
    "\x09" "\x09" "\x09" "<xsd:attribute name=\"job\" type=\"Path\" use=\"required\"/>\n"
    "\x09" "\x09" "\x09" "<xsd:attribute name=\"job_chain\" type=\"Path\"/>\n"
    "\x09" "\x09" "\x09" "<xsd:attribute name=\"what\" type=\"What\"/>\n"
    "\x09" "\x09" "\x09" "<xsd:attribute name=\"max_orders\" type=\"xsd:nonNegativeInteger\"/>\n"
    "\x09" "\x09" "\x09" "<xsd:attribute name=\"max_task_history\" type=\"xsd:nonNegativeInteger\"/>\n"
    "\x09" "\x09" "</xsd:complexType>\n"
    "\x09" "</xsd:element>\n"
    "\x09" "<xsd:element name=\"show_job_chain\">\n"
    "\x09" "\x09" "<xsd:complexType>\n"
    "\x09" "\x09" "\x09" "<xsd:attribute name=\"job_chain\" type=\"Path\" use=\"required\"/>\n"
    "\x09" "\x09" "\x09" "<xsd:attribute name=\"what\" type=\"What\"/>\n"
    "\x09" "\x09" "\x09" "<xsd:attribute name=\"max_orders\" type=\"xsd:nonNegativeInteger\"/>\n"
    "\x09" "\x09" "\x09" "<xsd:attribute name=\"max_order_history\" type=\"xsd:nonNegativeInteger\"/>\n"
    "\x09" "\x09" "</xsd:complexType>\n"
    "\x09" "</xsd:element>\n"
    "\x09" "<xsd:element name=\"show_job_chains\">\n"
    "\x09" "\x09" "<xsd:complexType>\n"
    "\x09" "\x09" "\x09" "<xsd:attribute name=\"what\" type=\"Path\"/>\n"
    "\x09" "\x09" "\x09" "<xsd:attribute name=\"max_orders\" type=\"xsd:nonNegativeInteger\"/>\n"
    "\x09" "\x09" "\x09" "<xsd:attribute name=\"max_order_history\" type=\"xsd:nonNegativeInteger\"/>\n"
    "\x09" "\x09" "</xsd:complexType>\n"
    "\x09" "</xsd:element>\n"
    "\x09" "<xsd:element name=\"show_jobs\">\n"
    "\x09" "\x09" "<xsd:complexType>\n"
    "\x09" "\x09" "\x09" "<xsd:attribute name=\"what\" type=\"What\"/>\n"
    "\x09" "\x09" "\x09" "<xsd:attribute name=\"max_orders\" type=\"xsd:nonNegativeInteger\"/>\n"
    "\x09" "\x09" "\x09" "<xsd:attribute name=\"max_task_history\" type=\"xsd:nonNegativeInteger\"/>\n"
    "\x09" "\x09" "</xsd:complexType>\n"
    "\x09" "</xsd:element>\n"
    "\x09" "<xsd:element name=\"show_order\">\n"
    "\x09" "\x09" "<xsd:complexType>\n"
    "\x09" "\x09" "\x09" "<xsd:attribute name=\"job_chain\" type=\"Path\" use=\"required\"/>\n"
    "\x09" "\x09" "\x09" "<xsd:attribute name=\"order\" type=\"Order_id\"/>\n"
    "\x09" "\x09" "\x09" "<xsd:attribute name=\"history_id\" type=\"xsd:nonNegativeInteger\"/>\n"
    "\x09" "\x09" "\x09" "<xsd:attribute name=\"what\" type=\"What\"/>\n"
    "\x09" "\x09" "</xsd:complexType>\n"
    "\x09" "</xsd:element>\n"
    "\x09" "<xsd:element name=\"show_schedulers\" type=\"Show_state\"/>\n"
    "\x09" "<xsd:element name=\"show_state\" type=\"Show_state\"/>\n"
    "\x09" "<xsd:element name=\"subsystem.show\" type=\"Subsystem.show\"/>\n"
    "\x09" "<xsd:complexType name=\"Show_state\">\n"
    "\x09" "\x09" "<xsd:attribute name=\"what\" type=\"String\"/>\n"
    "\x09" "\x09" "<xsd:attribute name=\"subsystems\" type=\"String\"/>\n"
    "\x09" "\x09" "<xsd:attribute name=\"max_orders\" type=\"xsd:nonNegativeInteger\"/>\n"
    "\x09" "\x09" "<xsd:attribute name=\"max_order_history\" type=\"xsd:nonNegativeInteger\"/>\n"
    "\x09" "\x09" "<xsd:attribute name=\"max_task_history\" type=\"xsd:nonNegativeInteger\"/>\n"
    "\x09" "\x09" "<xsd:attribute name=\"path\" type=\"Path\"/>\n"
    "\x09" "</xsd:complexType>\n"
    "\x09" "<xsd:element name=\"show_task\">\n"
    "\x09" "\x09" "<xsd:complexType>\n"
    "\x09" "\x09" "\x09" "<xsd:attribute name=\"id\" type=\"Task_id\" use=\"required\"/>\n"
    "\x09" "\x09" "\x09" "<xsd:attribute name=\"what\" type=\"What\"/>\n"
    "\x09" "\x09" "</xsd:complexType>\n"
    "\x09" "</xsd:element>\n"
    "\x09" "<xsd:complexType name=\"Subsystem.show\">\n"
    "\x09" "\x09" "<xsd:attribute name=\"what\" type=\"String\"/>\n"
    "\x09" "</xsd:complexType>\n"
    "\x09" "<xsd:element name=\"start_job\">\n"
    "\x09" "\x09" "<xsd:complexType>\n"
    "\x09" "\x09" "\x09" "<xsd:sequence>\n"
    "\x09" "\x09" "\x09" "\x09" "<xsd:element ref=\"params\" minOccurs=\"0\"/>\n"
    "\x09" "\x09" "\x09" "\x09" "<xsd:element name=\"environment\" type=\"environment\" minOccurs=\"0\"/>\n"
    "\x09" "\x09" "\x09" "</xsd:sequence>\n"
    "\x09" "\x09" "\x09" "<xsd:attribute name=\"job\" type=\"Path\" use=\"required\"/>\n"
    "\x09" "\x09" "\x09" "<xsd:attribute name=\"name\" type=\"Name\"/>\n"
    "\x09" "\x09" "\x09" "<xsd:attribute name=\"at\" type=\"Date_time_with_now_or_period\"/>\n"
    "\x09" "\x09" "\x09" "<xsd:attribute name=\"after\" type=\"xsd:nonNegativeInteger\"/>\n"
    "\x09" "\x09" "\x09" "<xsd:attribute name=\"web_service\" type=\"Name\"/>\n"
    "\x09" "\x09" "\x09" "<xsd:attribute name=\"force\" type=\"Yes_no\"/>\n"
    "\x09" "\x09" "</xsd:complexType>\n"
    "\x09" "</xsd:element>\n"
    "\x09" "<xsd:element name=\"remote_scheduler.start_remote_task\">\n"
    "\x09" "\x09" "<xsd:complexType>\n"
    "\x09" "\x09" "\x09" "<xsd:attribute name=\"tcp_port\" type=\"xsd:nonNegativeInteger\" use=\"required\"/>\n"
    "\x09" "\x09" "\x09" "<xsd:attribute name=\"kind\">\n"
    "\x09" "\x09" "\x09" "\x09" "<xsd:simpleType>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:restriction base=\"xsd:NMTOKEN\">\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:enumeration value=\"process\"/>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "</xsd:restriction>\n"
    "\x09" "\x09" "\x09" "\x09" "</xsd:simpleType>\n"
    "\x09" "\x09" "\x09" "</xsd:attribute>\n"
    "\x09" "\x09" "</xsd:complexType>\n"
    "\x09" "</xsd:element>\n"
    "\x09" "<xsd:element name=\"remote_scheduler.remote_task.close\">\n"
    "\x09" "\x09" "<xsd:complexType>\n"
    "\x09" "\x09" "\x09" "<xsd:attribute name=\"process_id\" type=\"xsd:long\" use=\"required\"/>\n"
    "\x09" "\x09" "\x09" "<xsd:attribute name=\"kill\" type=\"Yes_no\"/>\n"
    "\x09" "\x09" "</xsd:complexType>\n"
    "\x09" "</xsd:element>\n"
    "\x09" "<xsd:element name=\"terminate\">\n"
    "\x09" "\x09" "<xsd:complexType>\n"
    "\x09" "\x09" "\x09" "<xsd:attribute name=\"all_schedulers\" type=\"Yes_no\"/>\n"
    "\x09" "\x09" "\x09" "<xsd:attribute name=\"restart\" type=\"Yes_no\"/>\n"
    "\x09" "\x09" "\x09" "<xsd:attribute name=\"timeout\" type=\"xsd:integer\"/>\n"
    "\x09" "\x09" "\x09" "<xsd:attribute name=\"continue_exclusive_operation\" type=\"Yes_no\"/>\n"
    "\x09" "\x09" "\x09" "<xsd:attribute name=\"cluster_member_id\" type=\"String\"/>\n"
    "\x09" "\x09" "\x09" "<xsd:attribute name=\"delete_dead_entry\" type=\"Yes_no\"/>\n"
    "\x09" "\x09" "\x09" "<!--xsd:attribute name=\"continue_exclusive_operation\">\n"
    "<xsd:simpleType>\n"
    "<xsd:union>\n"
    "<xsd:simpleType>\n"
    "<xsd:restriction base=\"xsd:NMTOKEN\">\n"
    "<xsd:enumeration value=\"non_backup\"/>\n"
    "<xsd:enumeration value=\"this\"/>\n"
    "<xsd:enumeration value=\"any\"/>\n"
    "</xsd:restriction>\n"
    "</xsd:simpleType>\n"
    "<xsd:simpleType>\n"
    "<xsd:restriction base=\"String\">\n"
    "<xsd:pattern value=\"http://.+\"/>\n"
    "</xsd:restriction>\n"
    "</xsd:simpleType>\n"
    "</xsd:union>\n"
    "</xsd:simpleType>\n"
    "</xsd:attribute-->\n"
    "\x09" "\x09" "</xsd:complexType>\n"
    "\x09" "</xsd:element>\n"
    "\x09" "<!-- <xsd:element name=\"get_events\"> -->\n"
    "\x09" "<xsd:element name=\"events.get\">\n"
    "\x09" "\x09" "<xsd:complexType/>\n"
    "\x09" "</xsd:element>\n"
    "\x09" "<xsd:element name=\"http_server\">\n"
    "\x09" "\x09" "<xsd:complexType>\n"
    "\x09" "\x09" "\x09" "<xsd:choice minOccurs=\"0\" maxOccurs=\"unbounded\">\n"
    "\x09" "\x09" "\x09" "\x09" "<xsd:element name=\"http.authentication\" type=\"http.authentication\"/>\n"
    "\x09" "\x09" "\x09" "\x09" "<xsd:element name=\"web_service\" type=\"web_service\"/>\n"
    "\x09" "\x09" "\x09" "\x09" "<xsd:element name=\"http_directory\" type=\"http_directory\"/>\n"
    "\x09" "\x09" "\x09" "</xsd:choice>\n"
    "\x09" "\x09" "</xsd:complexType>\n"
    "\x09" "\x09" "<!--libxslt xsd:key name=\"web_service\">\n"
    "<xsd:selector xpath=\"web_service\"/>\n"
    "<xsd:field xpath=\"@name\"/>\n"
    "</xsd:key-->\n"
    "\x09" "\x09" "<!--libxslt xsd:key name=\"web_service.url_path\">\n"
    "<xsd:selector xpath=\"web_service\"/>\n"
    "<xsd:field xpath=\"@url_path\"/>\n"
    "</xsd:key-->\n"
    "\x09" "</xsd:element>\n"
    "\x09" "<xsd:element name=\"web_services\">\n"
    "\x09" "\x09" "<xsd:annotation>\n"
    "\x09" "\x09" "\x09" "<xsd:documentation>Deprecated. Use http_server</xsd:documentation>\n"
    "\x09" "\x09" "</xsd:annotation>\n"
    "\x09" "\x09" "<xsd:complexType>\n"
    "\x09" "\x09" "\x09" "<xsd:sequence>\n"
    "\x09" "\x09" "\x09" "\x09" "<xsd:element name=\"web_service\" type=\"web_service\" minOccurs=\"0\" maxOccurs=\"unbounded\"/>\n"
    "\x09" "\x09" "\x09" "</xsd:sequence>\n"
    "\x09" "\x09" "</xsd:complexType>\n"
    "\x09" "</xsd:element>\n"
    "\x09" "<!--~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ELEMENT-TYPEN-->\n"
    "\x09" "<xsd:complexType name=\"check_folders\"/>\n"
    "\x09" "<xsd:complexType name=\"configuration.directory\">\n"
    "\x09" "\x09" "<xsd:sequence>\n"
    "\x09" "\x09" "\x09" "<xsd:choice minOccurs=\"0\" maxOccurs=\"unbounded\">\n"
    "\x09" "\x09" "\x09" "\x09" "<xsd:element name=\"configuration.directory\" type=\"configuration.directory\"/>\n"
    "\x09" "\x09" "\x09" "\x09" "<xsd:element name=\"configuration.file\" type=\"configuration.file\"/>\n"
    "\x09" "\x09" "\x09" "</xsd:choice>\n"
    "\x09" "\x09" "</xsd:sequence>\n"
    "\x09" "\x09" "<xsd:attribute name=\"name\" type=\"String\"/>\n"
    "\x09" "</xsd:complexType>\n"
    "\x09" "<xsd:complexType name=\"configuration.file\">\n"
    "\x09" "\x09" "<xsd:attribute name=\"name\" type=\"String\" use=\"required\"/>\n"
    "\x09" "\x09" "<xsd:attribute name=\"last_write_time\" type=\"xsd:dateTime\"/>\n"
    "\x09" "\x09" "<xsd:attribute name=\"md5\" type=\"Md5\"/>\n"
    "\x09" "\x09" "<!--xsd:sequence>\n"
    "<xsd:element name=\"content\" type=\"content\"/>\n"
    "</xsd:sequence-->\n"
    "\x09" "</xsd:complexType>\n"
    "\x09" "<xsd:complexType name=\"environment\">\n"
    "\x09" "\x09" "<xsd:sequence>\n"
    "\x09" "\x09" "\x09" "<xsd:element name=\"variable\" minOccurs=\"0\" maxOccurs=\"unbounded\">\n"
    "\x09" "\x09" "\x09" "\x09" "<xsd:complexType>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:attribute name=\"name\" type=\"String\" use=\"required\"/>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:attribute name=\"value\" type=\"String\" use=\"required\"/>\n"
    "\x09" "\x09" "\x09" "\x09" "</xsd:complexType>\n"
    "\x09" "\x09" "\x09" "</xsd:element>\n"
    "\x09" "\x09" "</xsd:sequence>\n"
    "\x09" "</xsd:complexType>\n"
    "\x09" "<xsd:complexType name=\"http.authentication\">\n"
    "\x09" "\x09" "<xsd:sequence>\n"
    "\x09" "\x09" "\x09" "<xsd:element name=\"http.users\">\n"
    "\x09" "\x09" "\x09" "\x09" "<xsd:complexType>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:sequence>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:element name=\"http.user\" maxOccurs=\"unbounded\">\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:complexType>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:attribute name=\"name\" type=\"Name\" use=\"required\"/>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:attribute name=\"password_md5\" type=\"Md5_checksum\" use=\"required\"/>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "</xsd:complexType>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "</xsd:element>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "</xsd:sequence>\n"
    "\x09" "\x09" "\x09" "\x09" "</xsd:complexType>\n"
    "\x09" "\x09" "\x09" "</xsd:element>\n"
    "\x09" "\x09" "</xsd:sequence>\n"
    "\x09" "\x09" "<xsd:attribute name=\"scheme\">\n"
    "\x09" "\x09" "\x09" "<xsd:simpleType>\n"
    "\x09" "\x09" "\x09" "\x09" "<xsd:restriction base=\"xsd:NMTOKEN\">\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:enumeration value=\"basic\"/>\n"
    "\x09" "\x09" "\x09" "\x09" "</xsd:restriction>\n"
    "\x09" "\x09" "\x09" "</xsd:simpleType>\n"
    "\x09" "\x09" "</xsd:attribute>\n"
    "\x09" "</xsd:complexType>\n"
    "\x09" "<xsd:complexType name=\"http_directory\">\n"
    "\x09" "\x09" "<xsd:attribute name=\"url_path\" type=\"Url_path\" use=\"required\"/>\n"
    "\x09" "\x09" "<xsd:attribute name=\"path\" use=\"required\">\n"
    "\x09" "\x09" "\x09" "<xsd:simpleType>\n"
    "\x09" "\x09" "\x09" "\x09" "<xsd:restriction base=\"String\">\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:pattern value=\".+\"/>\n"
    "\x09" "\x09" "\x09" "\x09" "</xsd:restriction>\n"
    "\x09" "\x09" "\x09" "</xsd:simpleType>\n"
    "\x09" "\x09" "</xsd:attribute>\n"
    "\x09" "</xsd:complexType>\n"
    "\x09" "<xsd:complexType name=\"lock\">\n"
    "\x09" "\x09" "<xsd:attribute name=\"name\" type=\"Name\"/>\n"
    "\x09" "\x09" "<xsd:attribute name=\"max_non_exclusive\" type=\"xsd:nonNegativeInteger\"/>\n"
    "\x09" "</xsd:complexType>\n"
    "\x09" "<xsd:complexType name=\"lock.remove\">\n"
    "\x09" "\x09" "<xsd:attribute name=\"lock\" type=\"Path\" use=\"required\"/>\n"
    "\x09" "</xsd:complexType>\n"
    "\x09" "<xsd:complexType name=\"modify_hot_folder\">\n"
    "\x09" "\x09" "<xsd:choice>\n"
    "\x09" "\x09" "\x09" "<xsd:element ref=\"job\"/>\n"
    "\x09" "\x09" "\x09" "<xsd:element ref=\"job_chain\"/>\n"
    "\x09" "\x09" "\x09" "<xsd:element ref=\"lock\"/>\n"
    "\x09" "\x09" "\x09" "<xsd:element ref=\"order\"/>\n"
    "\x09" "\x09" "\x09" "<xsd:element ref=\"process_class\"/>\n"
    "\x09" "\x09" "\x09" "<xsd:element ref=\"schedule\"/>\n"
    "\x09" "\x09" "</xsd:choice>\n"
    "\x09" "\x09" "<xsd:attribute name=\"folder\" type=\"Path\"/>\n"
    "\x09" "</xsd:complexType>\n"
    "\x09" "<xsd:complexType name=\"monthdays\">\n"
    "\x09" "\x09" "<xsd:sequence maxOccurs=\"unbounded\">\n"
    "\x09" "\x09" "\x09" "<xsd:choice>\n"
    "\x09" "\x09" "\x09" "\x09" "<xsd:element name=\"day\" maxOccurs=\"unbounded\">\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:complexType>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:sequence>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:element ref=\"period\" minOccurs=\"0\" maxOccurs=\"unbounded\"/>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "</xsd:sequence>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:attribute name=\"day\" use=\"required\">\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:simpleType>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:list>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:simpleType>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:restriction base=\"xsd:positiveInteger\">\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:maxInclusive value=\"31\"/>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "</xsd:restriction>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "</xsd:simpleType>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "</xsd:list>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "</xsd:simpleType>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "</xsd:attribute>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "</xsd:complexType>\n"
    "\x09" "\x09" "\x09" "\x09" "</xsd:element>\n"
    "\x09" "\x09" "\x09" "\x09" "<xsd:element name=\"weekday\" maxOccurs=\"unbounded\">\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:complexType>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:sequence>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:element ref=\"period\" minOccurs=\"0\" maxOccurs=\"unbounded\"/>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "</xsd:sequence>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:attribute name=\"day\" use=\"required\">\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:simpleType>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:list itemType=\"Weekday\"/>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "</xsd:simpleType>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "</xsd:attribute>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:attribute name=\"which\" use=\"required\">\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:simpleType>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:union>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:simpleType>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:restriction base=\"xsd:positiveInteger\">\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:maxInclusive value=\"4\"/>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "</xsd:restriction>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "</xsd:simpleType>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:simpleType>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:restriction base=\"xsd:negativeInteger\">\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:minInclusive value=\"-4\"/>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "</xsd:restriction>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "</xsd:simpleType>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "</xsd:union>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "</xsd:simpleType>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "</xsd:attribute>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "</xsd:complexType>\n"
    "\x09" "\x09" "\x09" "\x09" "</xsd:element>\n"
    "\x09" "\x09" "\x09" "</xsd:choice>\n"
    "\x09" "\x09" "</xsd:sequence>\n"
    "\x09" "</xsd:complexType>\n"
    "\x09" "<xsd:complexType name=\"process_class\">\n"
    "\x09" "\x09" "<xsd:attribute name=\"name\" type=\"Name\"/>\n"
    "\x09" "\x09" "<xsd:attribute name=\"max_processes\" type=\"xsd:nonNegativeInteger\"/>\n"
    "\x09" "\x09" "<xsd:attribute name=\"remote_scheduler\" type=\"String\"/>\n"
    "\x09" "\x09" "<xsd:attribute name=\"spooler_id\" type=\"Name\"/>\n"
    "\x09" "\x09" "<xsd:attribute name=\"replace\" type=\"Yes_no\"/>\n"
    "\x09" "</xsd:complexType>\n"
    "\x09" "<xsd:complexType name=\"process_class.remove\">\n"
    "\x09" "\x09" "<xsd:attribute name=\"process_class\" type=\"Path\"/>\n"
    "\x09" "</xsd:complexType>\n"
    "\x09" "<xsd:complexType name=\"run_time\">\n"
    "\x09" "\x09" "<xsd:sequence>\n"
    "\x09" "\x09" "\x09" "<xsd:element ref=\"period\" minOccurs=\"0\" maxOccurs=\"unbounded\"/>\n"
    "\x09" "\x09" "\x09" "<xsd:element name=\"at\" minOccurs=\"0\" maxOccurs=\"unbounded\">\n"
    "\x09" "\x09" "\x09" "\x09" "<xsd:complexType>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:attribute name=\"at\" type=\"Loose_date_time\"/>\n"
    "\x09" "\x09" "\x09" "\x09" "</xsd:complexType>\n"
    "\x09" "\x09" "\x09" "</xsd:element>\n"
    "\x09" "\x09" "\x09" "<xsd:element name=\"date\" minOccurs=\"0\" maxOccurs=\"unbounded\">\n"
    "\x09" "\x09" "\x09" "\x09" "<xsd:complexType>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:sequence>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:element ref=\"period\" minOccurs=\"0\" maxOccurs=\"unbounded\"/>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "</xsd:sequence>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:attribute name=\"date\" type=\"String\" use=\"required\"/>\n"
    "\x09" "\x09" "\x09" "\x09" "</xsd:complexType>\n"
    "\x09" "\x09" "\x09" "</xsd:element>\n"
    "\x09" "\x09" "\x09" "<xsd:element name=\"weekdays\" type=\"weekdays\" minOccurs=\"0\">\n"
    "\x09" "\x09" "\x09" "\x09" "<!--libxslt xsd:key name=\"weekdays\">\n"
    "<xsd:selector xpath=\"day\"/>\n"
    "<xsd:field xpath=\"@day\"/>\n"
    "</xsd:key-->\n"
    "\x09" "\x09" "\x09" "</xsd:element>\n"
    "\x09" "\x09" "\x09" "<xsd:element name=\"monthdays\" type=\"monthdays\" minOccurs=\"0\">\n"
    "\x09" "\x09" "\x09" "\x09" "<!--libxslt xsd:key name=\"monthdays\">\n"
    "<xsd:selector xpath=\"day\"/>\n"
    "<xsd:field xpath=\"@day\"/>\n"
    "</xsd:key-->\n"
    "\x09" "\x09" "\x09" "</xsd:element>\n"
    "\x09" "\x09" "\x09" "<xsd:element name=\"ultimos\" type=\"ultimos\" minOccurs=\"0\">\n"
    "\x09" "\x09" "\x09" "\x09" "<!--libxslt xsd:key name=\"ultimos\">\n"
    "<xsd:selector xpath=\"day\"/>\n"
    "<xsd:field xpath=\"@day\"/>\n"
    "</xsd:key-->\n"
    "\x09" "\x09" "\x09" "</xsd:element>\n"
    "\x09" "\x09" "\x09" "<xsd:element name=\"month\" minOccurs=\"0\" maxOccurs=\"12\">\n"
    "\x09" "\x09" "\x09" "\x09" "<xsd:complexType>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:choice minOccurs=\"0\" maxOccurs=\"unbounded\">\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:element ref=\"period\" minOccurs=\"0\" maxOccurs=\"unbounded\"/>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:element name=\"weekdays\" type=\"weekdays\"/>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:element name=\"monthdays\" type=\"monthdays\"/>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:element name=\"ultimos\" type=\"ultimos\"/>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "</xsd:choice>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:attribute name=\"month\">\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:simpleType>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:list itemType=\"Month_name\"/>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "</xsd:simpleType>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "</xsd:attribute>\n"
    "\x09" "\x09" "\x09" "\x09" "</xsd:complexType>\n"
    "\x09" "\x09" "\x09" "</xsd:element>\n"
    "\x09" "\x09" "\x09" "<xsd:choice>\n"
    "\x09" "\x09" "\x09" "\x09" "<xsd:element ref=\"holidays\"/>\n"
    "\x09" "\x09" "\x09" "\x09" "<xsd:element ref=\"holiday\" minOccurs=\"0\" maxOccurs=\"unbounded\"/>\n"
    "\x09" "\x09" "\x09" "</xsd:choice>\n"
    "\x09" "\x09" "</xsd:sequence>\n"
    "\x09" "\x09" "<xsd:attribute name=\"schedule\" type=\"String\"/>\n"
    "\x09" "\x09" "<xsd:attribute name=\"name\" type=\"Name\"/>\n"
    "\x09" "\x09" "<xsd:attribute name=\"title\" type=\"String\"/>\n"
    "\x09" "\x09" "<xsd:attribute name=\"substitute\" type=\"Path\"/>\n"
    "\x09" "\x09" "<xsd:attribute name=\"valid_from\" type=\"Date_time\"/>\n"
    "\x09" "\x09" "<xsd:attribute name=\"valid_to\" type=\"Date_time\"/>\n"
    "\x09" "\x09" "<xsd:attribute name=\"single_start\" type=\"Time_of_day\"/>\n"
    "\x09" "\x09" "<xsd:attribute name=\"begin\" type=\"Time_of_day\"/>\n"
    "\x09" "\x09" "<xsd:attribute name=\"end\" type=\"Time_of_day\"/>\n"
    "\x09" "\x09" "<xsd:attribute name=\"let_run\" type=\"Yes_no\"/>\n"
    "\x09" "\x09" "<xsd:attribute name=\"repeat\" type=\"Duration\"/>\n"
    "\x09" "\x09" "<xsd:attribute name=\"when_holiday\" type=\"When_holiday\"/>\n"
    "\x09" "\x09" "<xsd:attribute name=\"once\" type=\"Yes_no\"/>\n"
    "\x09" "\x09" "<xsd:attribute name=\"start_time_function\" type=\"xsd:NMTOKEN\"/>\n"
    "\x09" "\x09" "<!-- Nur zum Abruf (\"<schedule.use>\") -->\n"
    "\x09" "\x09" "<!-- Nur zur Definition eines benannten <schedule> -->\n"
    "\x09" "\x09" "<!-- F\xc3" "\xbc" "r \xc3" "\xbc" "berdeckendes <schedule> -->\n"
    "\x09" "</xsd:complexType>\n"
    "\x09" "<xsd:complexType name=\"schedule.remove\">\n"
    "\x09" "\x09" "<xsd:attribute name=\"schedule\" type=\"Path\"/>\n"
    "\x09" "</xsd:complexType>\n"
    "\x09" "<xsd:complexType name=\"scheduler_script\">\n"
    "\x09" "\x09" "<xsd:sequence>\n"
    "\x09" "\x09" "\x09" "<xsd:element ref=\"script\"/>\n"
    "\x09" "\x09" "</xsd:sequence>\n"
    "\x09" "\x09" "<xsd:attribute name=\"name\" type=\"Name\"/>\n"
    "\x09" "\x09" "<xsd:attribute name=\"ordering\" type=\"xsd:nonNegativeInteger\"/>\n"
    "\x09" "</xsd:complexType>\n"
    "\x09" "<xsd:complexType name=\"ultimos\">\n"
    "\x09" "\x09" "<xsd:sequence>\n"
    "\x09" "\x09" "\x09" "<xsd:element name=\"day\" maxOccurs=\"unbounded\">\n"
    "\x09" "\x09" "\x09" "\x09" "<xsd:complexType>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:sequence>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:element ref=\"period\" minOccurs=\"0\" maxOccurs=\"unbounded\"/>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "</xsd:sequence>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:attribute name=\"day\" use=\"required\">\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:simpleType>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:list>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:simpleType>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:restriction base=\"xsd:nonNegativeInteger\">\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:maxInclusive value=\"30\"/>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "</xsd:restriction>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "</xsd:simpleType>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "</xsd:list>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "</xsd:simpleType>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "</xsd:attribute>\n"
    "\x09" "\x09" "\x09" "\x09" "</xsd:complexType>\n"
    "\x09" "\x09" "\x09" "</xsd:element>\n"
    "\x09" "\x09" "</xsd:sequence>\n"
    "\x09" "</xsd:complexType>\n"
    "\x09" "<xsd:complexType name=\"web_service\">\n"
    "\x09" "\x09" "<xsd:sequence>\n"
    "\x09" "\x09" "\x09" "<xsd:element ref=\"params\" minOccurs=\"0\"/>\n"
    "\x09" "\x09" "</xsd:sequence>\n"
    "\x09" "\x09" "<xsd:attribute name=\"name\" type=\"Name\"/>\n"
    "\x09" "\x09" "<xsd:attribute name=\"url_path\" type=\"Url_path\" use=\"required\"/>\n"
    "\x09" "\x09" "<xsd:attribute name=\"debug\" type=\"Yes_no\"/>\n"
    "\x09" "\x09" "<xsd:attribute name=\"request_xslt_stylesheet\" type=\"File\"/>\n"
    "\x09" "\x09" "<xsd:attribute name=\"response_xslt_stylesheet\" type=\"File\"/>\n"
    "\x09" "\x09" "<xsd:attribute name=\"forward_xslt_stylesheet\" type=\"File\"/>\n"
    "\x09" "\x09" "<xsd:attribute name=\"job_chain\" type=\"Path\"/>\n"
    "\x09" "\x09" "<xsd:attribute name=\"timeout\" type=\"xsd:positiveInteger\"/>\n"
    "\x09" "\x09" "<!-- Diese Attribute und die folgenden Attribute schlie\xc3" "\x9f" "en einander aus -->\n"
    "\x09" "</xsd:complexType>\n"
    "\x09" "<xsd:complexType name=\"weekdays\">\n"
    "\x09" "\x09" "<xsd:sequence>\n"
    "\x09" "\x09" "\x09" "<xsd:element name=\"day\" maxOccurs=\"unbounded\">\n"
    "\x09" "\x09" "\x09" "\x09" "<xsd:complexType>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:sequence>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:element ref=\"period\" minOccurs=\"0\" maxOccurs=\"unbounded\"/>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "</xsd:sequence>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:attribute name=\"day\" use=\"required\">\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:simpleType>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:list itemType=\"Weekday\"/>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "</xsd:simpleType>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "</xsd:attribute>\n"
    "\x09" "\x09" "\x09" "\x09" "</xsd:complexType>\n"
    "\x09" "\x09" "\x09" "</xsd:element>\n"
    "\x09" "\x09" "</xsd:sequence>\n"
    "\x09" "</xsd:complexType>\n"
    "\x09" "<xsd:complexType name=\"Xml_payload\">\n"
    "\x09" "\x09" "<xsd:sequence minOccurs=\"0\">\n"
    "\x09" "\x09" "\x09" "<xsd:any processContents=\"skip\"/>\n"
    "\x09" "\x09" "</xsd:sequence>\n"
    "\x09" "</xsd:complexType>\n"
    "\x09" "<!--~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ATTRIBUT-TYPEN-->\n"
    "\x09" "<xsd:simpleType name=\"Code_page_encoding\">\n"
    "\x09" "\x09" "<xsd:restriction base=\"xsd:NMTOKEN\">\n"
    "\x09" "\x09" "\x09" "<xsd:enumeration value=\"oem\"/>\n"
    "\x09" "\x09" "\x09" "<xsd:enumeration value=\"cp437\"/>\n"
    "\x09" "\x09" "\x09" "<xsd:enumeration value=\"cp850\"/>\n"
    "\x09" "\x09" "\x09" "<xsd:enumeration value=\"latin1\"/>\n"
    "\x09" "\x09" "\x09" "<xsd:enumeration value=\"none\"/>\n"
    "\x09" "\x09" "</xsd:restriction>\n"
    "\x09" "</xsd:simpleType>\n"
    "\x09" "<xsd:simpleType name=\"Job_chain_node.Action\">\n"
    "\x09" "\x09" "<xsd:restriction base=\"String\">\n"
    "\x09" "\x09" "\x09" "<xsd:enumeration value=\"process\"/>\n"
    "\x09" "\x09" "\x09" "<xsd:enumeration value=\"stop\"/>\n"
    "\x09" "\x09" "\x09" "<xsd:enumeration value=\"next_state\"/>\n"
    "\x09" "\x09" "</xsd:restriction>\n"
    "\x09" "</xsd:simpleType>\n"
    "\x09" "<xsd:simpleType name=\"Yes_no\">\n"
    "\x09" "\x09" "<xsd:restriction base=\"xsd:NMTOKEN\">\n"
    "\x09" "\x09" "\x09" "<xsd:enumeration value=\"yes\"/>\n"
    "\x09" "\x09" "\x09" "<xsd:enumeration value=\"no\"/>\n"
    "\x09" "\x09" "\x09" "<xsd:enumeration value=\"true\"/>\n"
    "\x09" "\x09" "\x09" "<xsd:enumeration value=\"false\"/>\n"
    "\x09" "\x09" "\x09" "<xsd:enumeration value=\"1\"/>\n"
    "\x09" "\x09" "\x09" "<xsd:enumeration value=\"0\"/>\n"
    "\x09" "\x09" "</xsd:restriction>\n"
    "\x09" "</xsd:simpleType>\n"
    "\x09" "<xsd:simpleType name=\"No\">\n"
    "\x09" "\x09" "<xsd:restriction base=\"xsd:NMTOKEN\">\n"
    "\x09" "\x09" "\x09" "<xsd:enumeration value=\"no\"/>\n"
    "\x09" "\x09" "\x09" "<xsd:enumeration value=\"false\"/>\n"
    "\x09" "\x09" "\x09" "<xsd:enumeration value=\"0\"/>\n"
    "\x09" "\x09" "</xsd:restriction>\n"
    "\x09" "</xsd:simpleType>\n"
    "\x09" "<xsd:simpleType name=\"Yes_no_never\">\n"
    "\x09" "\x09" "<xsd:union memberTypes=\"Yes_no\">\n"
    "\x09" "\x09" "\x09" "<xsd:simpleType>\n"
    "\x09" "\x09" "\x09" "\x09" "<xsd:restriction base=\"xsd:NMTOKEN\">\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:enumeration value=\"never\"/>\n"
    "\x09" "\x09" "\x09" "\x09" "</xsd:restriction>\n"
    "\x09" "\x09" "\x09" "</xsd:simpleType>\n"
    "\x09" "\x09" "</xsd:union>\n"
    "\x09" "</xsd:simpleType>\n"
    "\x09" "<xsd:simpleType name=\"Md5_checksum\">\n"
    "\x09" "\x09" "<xsd:restriction base=\"xsd:string\">\n"
    "\x09" "\x09" "\x09" "<xsd:length value=\"32\" fixed=\"true\"/>\n"
    "\x09" "\x09" "</xsd:restriction>\n"
    "\x09" "</xsd:simpleType>\n"
    "\x09" "<xsd:simpleType name=\"Name\">\n"
    "\x09" "\x09" "<xsd:restriction base=\"String\">\n"
    "\x09" "\x09" "\x09" "<xsd:pattern value=\"[^/]*\"/>\n"
    "\x09" "\x09" "</xsd:restriction>\n"
    "\x09" "\x09" "<!-- Eine engere Beschr\xc3" "\xa4" "nkung w\xc3" "\xa4" "re gut: Buchstabe gefolgt von (Buchstabe, Ziffer, _ und vielleicht -)*  -->\n"
    "\x09" "\x09" "<!-- Regul\xc3" "\xa4" "rer Ausdruck wie bei Path -->\n"
    "\x09" "</xsd:simpleType>\n"
    "\x09" "<xsd:simpleType name=\"Path\">\n"
    "\x09" "\x09" "<xsd:restriction base=\"String\">\n"
    "\x09" "\x09" "\x09" "<xsd:pattern value=\"/?([^/]+/)*([^/]*)\"/>\n"
    "\x09" "\x09" "</xsd:restriction>\n"
    "\x09" "\x09" "<!-- Eine Folge von Name. Regul\xc3" "\xa4" "rer Ausdruck wie bei Name -->\n"
    "\x09" "</xsd:simpleType>\n"
    "\x09" "<xsd:simpleType name=\"What\">\n"
    "\x09" "\x09" "<xsd:restriction base=\"String\"/>\n"
    "\x09" "</xsd:simpleType>\n"
    "\x09" "<xsd:simpleType name=\"Task_id\">\n"
    "\x09" "\x09" "<xsd:restriction base=\"xsd:positiveInteger\"/>\n"
    "\x09" "</xsd:simpleType>\n"
    "\x09" "<xsd:simpleType name=\"Order_id\">\n"
    "\x09" "\x09" "<xsd:restriction base=\"String\"/>\n"
    "\x09" "</xsd:simpleType>\n"
    "\x09" "<xsd:simpleType name=\"File\">\n"
    "\x09" "\x09" "<xsd:restriction base=\"String\"/>\n"
    "\x09" "</xsd:simpleType>\n"
    "\x09" "<xsd:simpleType name=\"Date_time\">\n"
    "\x09" "\x09" "<xsd:annotation>\n"
    "\x09" "\x09" "\x09" "<xsd:documentation>\"yyyy-mm-dd HH:MM[:SS]\"</xsd:documentation>\n"
    "\x09" "\x09" "</xsd:annotation>\n"
    "\x09" "\x09" "<xsd:restriction base=\"String\">\n"
    "\x09" "\x09" "\x09" "<xsd:pattern value=\"[0-9]{4}-[0-9]{2}-[0-9]{2} [0-9]{2}:[0-9]{2}(:[0-9]{2})?\"/>\n"
    "\x09" "\x09" "</xsd:restriction>\n"
    "\x09" "</xsd:simpleType>\n"
    "\x09" "<xsd:simpleType name=\"Loose_date_time\">\n"
    "\x09" "\x09" "<xsd:annotation>\n"
    "\x09" "\x09" "\x09" "<xsd:documentation>\"yyyy-mm-dd HH:MM[:SS]\"</xsd:documentation>\n"
    "\x09" "\x09" "</xsd:annotation>\n"
    "\x09" "\x09" "<xsd:restriction base=\"String\"/>\n"
    "\x09" "</xsd:simpleType>\n"
    "\x09" "<xsd:simpleType name=\"Date_time_with_now\">\n"
    "\x09" "\x09" "<xsd:annotation>\n"
    "\x09" "\x09" "\x09" "<xsd:documentation>\"yyyy-mm-dd HH:MM[:SS]\", \"now + HH:MM[:SS]\" or \"now+SECONDS\"</xsd:documentation>\n"
    "\x09" "\x09" "</xsd:annotation>\n"
    "\x09" "\x09" "<xsd:restriction base=\"String\"/>\n"
    "\x09" "</xsd:simpleType>\n"
    "\x09" "<xsd:simpleType name=\"Date_time_with_now_or_period\">\n"
    "\x09" "\x09" "<xsd:union memberTypes=\"Date_time_with_now\">\n"
    "\x09" "\x09" "\x09" "<xsd:simpleType>\n"
    "\x09" "\x09" "\x09" "\x09" "<xsd:restriction base=\"xsd:NMTOKEN\">\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:enumeration value=\"period\"/>\n"
    "\x09" "\x09" "\x09" "\x09" "</xsd:restriction>\n"
    "\x09" "\x09" "\x09" "</xsd:simpleType>\n"
    "\x09" "\x09" "</xsd:union>\n"
    "\x09" "</xsd:simpleType>\n"
    "\x09" "<xsd:simpleType name=\"Time_of_day\">\n"
    "\x09" "\x09" "<xsd:restriction base=\"String\">\n"
    "\x09" "\x09" "\x09" "<xsd:pattern value=\"\\d{1,2}:\\d{2}(:\\d\\d)?\"/>\n"
    "\x09" "\x09" "</xsd:restriction>\n"
    "\x09" "</xsd:simpleType>\n"
    "\x09" "<xsd:simpleType name=\"Weekday\">\n"
    "\x09" "\x09" "<xsd:restriction base=\"xsd:NMTOKEN\">\n"
    "\x09" "\x09" "\x09" "<xsd:pattern value=\"[01234567]|(so(nntag)?)|(mo(ntag)?)|(di(enstag)?)|(mi(ttwoch)?)|(do(nnerstag)?)|(fr(eitag)?)|(sa(mstag)?)|(sun(day)?)|(mon(day)?)|(tue(sday)?)|(wed(nesday)?)|(thu(rsday)?)|(fri(day)?)|(sat(urday)?)\"/>\n"
    "\x09" "\x09" "</xsd:restriction>\n"
    "\x09" "</xsd:simpleType>\n"
    "\x09" "<xsd:simpleType name=\"Duration\">\n"
    "\x09" "\x09" "<xsd:union memberTypes=\"xsd:nonNegativeInteger\">\n"
    "\x09" "\x09" "\x09" "<xsd:simpleType>\n"
    "\x09" "\x09" "\x09" "\x09" "<xsd:restriction base=\"String\">\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:annotation>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:documentation xml:lang=\"de\">\n"
    "Duration in format HH:MM[:SS]\n"
    "</xsd:documentation>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "</xsd:annotation>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:pattern value=\"(\\d+)|(\\d+:\\d{2}(:\\d\\d)?)\"/>\n"
    "\x09" "\x09" "\x09" "\x09" "</xsd:restriction>\n"
    "\x09" "\x09" "\x09" "</xsd:simpleType>\n"
    "\x09" "\x09" "</xsd:union>\n"
    "\x09" "</xsd:simpleType>\n"
    "\x09" "<xsd:simpleType name=\"Duration_or_never\">\n"
    "\x09" "\x09" "<xsd:union memberTypes=\"xsd:nonNegativeInteger\">\n"
    "\x09" "\x09" "\x09" "<xsd:simpleType>\n"
    "\x09" "\x09" "\x09" "\x09" "<xsd:restriction base=\"String\">\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:annotation>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:documentation xml:lang=\"de\">\n"
    "Duration in format HH:MM[:SS]\n"
    "</xsd:documentation>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "</xsd:annotation>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:pattern value=\"(\\d+)|(\\d+:\\d{2}(:\\d\\d)?)\"/>\n"
    "\x09" "\x09" "\x09" "\x09" "</xsd:restriction>\n"
    "\x09" "\x09" "\x09" "</xsd:simpleType>\n"
    "\x09" "\x09" "\x09" "<xsd:simpleType>\n"
    "\x09" "\x09" "\x09" "\x09" "<xsd:restriction base=\"xsd:NMTOKEN\">\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:enumeration value=\"never\"/>\n"
    "\x09" "\x09" "\x09" "\x09" "</xsd:restriction>\n"
    "\x09" "\x09" "\x09" "</xsd:simpleType>\n"
    "\x09" "\x09" "</xsd:union>\n"
    "\x09" "</xsd:simpleType>\n"
    "\x09" "<xsd:simpleType name=\"Duration_or_percentage\">\n"
    "\x09" "\x09" "<xsd:union memberTypes=\"xsd:nonNegativeInteger\">\n"
    "\x09" "\x09" "\x09" "<xsd:simpleType>\n"
    "\x09" "\x09" "\x09" "\x09" "<xsd:restriction base=\"String\">\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:annotation>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:documentation xml:lang=\"de\">\n"
    "Duration in format HH:MM[:SS]\n"
    "</xsd:documentation>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "</xsd:annotation>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:pattern value=\"(\\d+)|(\\d+:\\d{2}(:\\d\\d)?)\"/>\n"
    "\x09" "\x09" "\x09" "\x09" "</xsd:restriction>\n"
    "\x09" "\x09" "\x09" "</xsd:simpleType>\n"
    "\x09" "\x09" "\x09" "<xsd:simpleType>\n"
    "\x09" "\x09" "\x09" "\x09" "<xsd:restriction base=\"xsd:string\">\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:pattern value=\"\\d+%\"/>\n"
    "\x09" "\x09" "\x09" "\x09" "</xsd:restriction>\n"
    "\x09" "\x09" "\x09" "</xsd:simpleType>\n"
    "\x09" "\x09" "</xsd:union>\n"
    "\x09" "\x09" "<!--libxml2 bricht ab:\n"
    "<xsd:union>\n"
    "<xsd:simpleType>\n"
    "<xsd:restriction base=\"Duration\"/>\n"
    "</xsd:simpleType>\n"
    "\n"
    "<xsd:simpleType>\n"
    "<xsd:restriction base=\"xsd:string\">\n"
    "<xsd:pattern value=\"\\d+%\"/>\n"
    "</xsd:restriction>\n"
    "</xsd:simpleType>\n"
    "</xsd:union>\n"
    "-->\n"
    "\x09" "</xsd:simpleType>\n"
    "\x09" "<xsd:simpleType name=\"Log_level\">\n"
    "\x09" "\x09" "<xsd:restriction base=\"xsd:NMTOKEN\">\n"
    "\x09" "\x09" "\x09" "<xsd:enumeration value=\"error\"/>\n"
    "\x09" "\x09" "\x09" "<xsd:enumeration value=\"warn\"/>\n"
    "\x09" "\x09" "\x09" "<xsd:enumeration value=\"info\"/>\n"
    "\x09" "\x09" "\x09" "<xsd:enumeration value=\"debug\"/>\n"
    "\x09" "\x09" "\x09" "<xsd:enumeration value=\"debug1\"/>\n"
    "\x09" "\x09" "\x09" "<xsd:enumeration value=\"debug2\"/>\n"
    "\x09" "\x09" "\x09" "<xsd:enumeration value=\"debug3\"/>\n"
    "\x09" "\x09" "\x09" "<xsd:enumeration value=\"debug4\"/>\n"
    "\x09" "\x09" "\x09" "<xsd:enumeration value=\"debug5\"/>\n"
    "\x09" "\x09" "\x09" "<xsd:enumeration value=\"debug6\"/>\n"
    "\x09" "\x09" "\x09" "<xsd:enumeration value=\"debug7\"/>\n"
    "\x09" "\x09" "\x09" "<xsd:enumeration value=\"debug8\"/>\n"
    "\x09" "\x09" "\x09" "<xsd:enumeration value=\"debug9\"/>\n"
    "\x09" "\x09" "</xsd:restriction>\n"
    "\x09" "</xsd:simpleType>\n"
    "\x09" "<xsd:simpleType name=\"Md5\">\n"
    "\x09" "\x09" "<xsd:restriction base=\"xsd:string\">\n"
    "\x09" "\x09" "\x09" "<xsd:pattern value=\"[0-9a-fA-F]{32}\"/>\n"
    "\x09" "\x09" "</xsd:restriction>\n"
    "\x09" "</xsd:simpleType>\n"
    "\x09" "<xsd:simpleType name=\"Month_name\">\n"
    "\x09" "\x09" "<xsd:restriction base=\"xsd:NMTOKEN\">\n"
    "\x09" "\x09" "\x09" "<xsd:enumeration value=\"january\"/>\n"
    "\x09" "\x09" "\x09" "<xsd:enumeration value=\"february\"/>\n"
    "\x09" "\x09" "\x09" "<xsd:enumeration value=\"march\"/>\n"
    "\x09" "\x09" "\x09" "<xsd:enumeration value=\"april\"/>\n"
    "\x09" "\x09" "\x09" "<xsd:enumeration value=\"may\"/>\n"
    "\x09" "\x09" "\x09" "<xsd:enumeration value=\"june\"/>\n"
    "\x09" "\x09" "\x09" "<xsd:enumeration value=\"july\"/>\n"
    "\x09" "\x09" "\x09" "<xsd:enumeration value=\"august\"/>\n"
    "\x09" "\x09" "\x09" "<xsd:enumeration value=\"september\"/>\n"
    "\x09" "\x09" "\x09" "<xsd:enumeration value=\"october\"/>\n"
    "\x09" "\x09" "\x09" "<xsd:enumeration value=\"november\"/>\n"
    "\x09" "\x09" "\x09" "<xsd:enumeration value=\"december\"/>\n"
    "\x09" "\x09" "\x09" "<xsd:enumeration value=\"1\"/>\n"
    "\x09" "\x09" "\x09" "<xsd:enumeration value=\"2\"/>\n"
    "\x09" "\x09" "\x09" "<xsd:enumeration value=\"3\"/>\n"
    "\x09" "\x09" "\x09" "<xsd:enumeration value=\"4\"/>\n"
    "\x09" "\x09" "\x09" "<xsd:enumeration value=\"5\"/>\n"
    "\x09" "\x09" "\x09" "<xsd:enumeration value=\"6\"/>\n"
    "\x09" "\x09" "\x09" "<xsd:enumeration value=\"7\"/>\n"
    "\x09" "\x09" "\x09" "<xsd:enumeration value=\"8\"/>\n"
    "\x09" "\x09" "\x09" "<xsd:enumeration value=\"9\"/>\n"
    "\x09" "\x09" "\x09" "<xsd:enumeration value=\"10\"/>\n"
    "\x09" "\x09" "\x09" "<xsd:enumeration value=\"11\"/>\n"
    "\x09" "\x09" "\x09" "<xsd:enumeration value=\"12\"/>\n"
    "\x09" "\x09" "</xsd:restriction>\n"
    "\x09" "</xsd:simpleType>\n"
    "\x09" "<xsd:simpleType name=\"Non_empty_string\">\n"
    "\x09" "\x09" "<xsd:restriction base=\"String\">\n"
    "\x09" "\x09" "\x09" "<xsd:pattern value=\".+\"/>\n"
    "\x09" "\x09" "</xsd:restriction>\n"
    "\x09" "</xsd:simpleType>\n"
    "\x09" "<xsd:simpleType name=\"Positive_duration\">\n"
    "\x09" "\x09" "<xsd:restriction base=\"Duration\">\n"
    "\x09" "\x09" "\x09" "<xsd:pattern value=\".*[123456789].*\"/>\n"
    "\x09" "\x09" "</xsd:restriction>\n"
    "\x09" "</xsd:simpleType>\n"
    "\x09" "<xsd:simpleType name=\"Url_path\">\n"
    "\x09" "\x09" "<xsd:restriction base=\"String\">\n"
    "\x09" "\x09" "\x09" "<xsd:pattern value=\"/.*\"/>\n"
    "\x09" "\x09" "</xsd:restriction>\n"
    "\x09" "</xsd:simpleType>\n"
    "\x09" "<xsd:simpleType name=\"String\">\n"
    "\x09" "\x09" "<xsd:annotation>\n"
    "\x09" "\x09" "\x09" "<xsd:documentation>\n"
    "Only characters out of ISO-8859-1 can be used.\n"
    "</xsd:documentation>\n"
    "\x09" "\x09" "</xsd:annotation>\n"
    "\x09" "\x09" "<xsd:restriction base=\"xsd:string\">\n"
    "\x09" "\x09" "\x09" "<xsd:pattern value=\"[\\r\\n\\t&#x20;-&#x7e;&#xa0;-&#xff;]*\"/>\n"
    "\x09" "\x09" "</xsd:restriction>\n"
    "\x09" "</xsd:simpleType>\n"
    "\x09" "<xsd:simpleType name=\"Process_priority\">\n"
    "\x09" "\x09" "<xsd:union memberTypes=\"Unix_process_priority Windows_process_priority_class\"/>\n"
    "\x09" "</xsd:simpleType>\n"
    "\x09" "<xsd:simpleType name=\"Unix_process_priority\">\n"
    "\x09" "\x09" "<xsd:restriction base=\"xsd:integer\">\n"
    "\x09" "\x09" "\x09" "<xsd:minInclusive value=\"-20\"/>\n"
    "\x09" "\x09" "\x09" "<xsd:maxInclusive value=\"+20\"/>\n"
    "\x09" "\x09" "</xsd:restriction>\n"
    "\x09" "</xsd:simpleType>\n"
    "\x09" "<xsd:simpleType name=\"Windows_process_priority_class\">\n"
    "\x09" "\x09" "<xsd:union>\n"
    "\x09" "\x09" "\x09" "<xsd:simpleType>\n"
    "\x09" "\x09" "\x09" "\x09" "<xsd:restriction base=\"xsd:NMTOKEN\">\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:enumeration value=\"idle\"/>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:enumeration value=\"below_normal\"/>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:enumeration value=\"normal\"/>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:enumeration value=\"above_normal\"/>\n"
    "\x09" "\x09" "\x09" "\x09" "\x09" "<xsd:enumeration value=\"high\"/>\n"
    "\x09" "\x09" "\x09" "\x09" "</xsd:restriction>\n"
    "\x09" "\x09" "\x09" "</xsd:simpleType>\n"
    "\x09" "\x09" "</xsd:union>\n"
    "\x09" "</xsd:simpleType>\n"
    "\x09" "<xsd:simpleType name=\"Unix_signal\">\n"
    "\x09" "\x09" "<xsd:union memberTypes=\"Unix_signal_name xsd:positiveInteger\"/>\n"
    "\x09" "</xsd:simpleType>\n"
    "\x09" "<xsd:simpleType name=\"Unix_signal_name\">\n"
    "\x09" "\x09" "<xsd:restriction base=\"xsd:NMTOKEN\">\n"
    "\x09" "\x09" "\x09" "<xsd:enumeration value=\"SIGHUP\"/>\n"
    "\x09" "\x09" "\x09" "<xsd:enumeration value=\"SIGINT\"/>\n"
    "\x09" "\x09" "\x09" "<xsd:enumeration value=\"SIGQUIT\"/>\n"
    "\x09" "\x09" "\x09" "<xsd:enumeration value=\"SIGILL\"/>\n"
    "\x09" "\x09" "\x09" "<xsd:enumeration value=\"SIGTRAP\"/>\n"
    "\x09" "\x09" "\x09" "<xsd:enumeration value=\"SIGABRT\"/>\n"
    "\x09" "\x09" "\x09" "<xsd:enumeration value=\"SIGIOT\"/>\n"
    "\x09" "\x09" "\x09" "<xsd:enumeration value=\"SIGBUS\"/>\n"
    "\x09" "\x09" "\x09" "<xsd:enumeration value=\"SIGFPE\"/>\n"
    "\x09" "\x09" "\x09" "<xsd:enumeration value=\"SIGKILL\"/>\n"
    "\x09" "\x09" "\x09" "<xsd:enumeration value=\"SIGUSR1\"/>\n"
    "\x09" "\x09" "\x09" "<xsd:enumeration value=\"SIGSEGV\"/>\n"
    "\x09" "\x09" "\x09" "<xsd:enumeration value=\"SIGUSR2\"/>\n"
    "\x09" "\x09" "\x09" "<xsd:enumeration value=\"SIGPIPE\"/>\n"
    "\x09" "\x09" "\x09" "<xsd:enumeration value=\"SIGALRM\"/>\n"
    "\x09" "\x09" "\x09" "<xsd:enumeration value=\"SIGTERM\"/>\n"
    "\x09" "\x09" "\x09" "<xsd:enumeration value=\"SIGSTKFLT\"/>\n"
    "\x09" "\x09" "\x09" "<xsd:enumeration value=\"SIGCHLD\"/>\n"
    "\x09" "\x09" "\x09" "<xsd:enumeration value=\"SIGCONT\"/>\n"
    "\x09" "\x09" "\x09" "<xsd:enumeration value=\"SIGSTOP\"/>\n"
    "\x09" "\x09" "\x09" "<xsd:enumeration value=\"SIGTSTP\"/>\n"
    "\x09" "\x09" "\x09" "<xsd:enumeration value=\"SIGTTIN\"/>\n"
    "\x09" "\x09" "\x09" "<xsd:enumeration value=\"SIGTTOU\"/>\n"
    "\x09" "\x09" "\x09" "<xsd:enumeration value=\"SIGURG\"/>\n"
    "\x09" "\x09" "\x09" "<xsd:enumeration value=\"SIGXCPU\"/>\n"
    "\x09" "\x09" "\x09" "<xsd:enumeration value=\"SIGXFSZ\"/>\n"
    "\x09" "\x09" "\x09" "<xsd:enumeration value=\"SIGVTALRM\"/>\n"
    "\x09" "\x09" "\x09" "<xsd:enumeration value=\"SIGPROF\"/>\n"
    "\x09" "\x09" "\x09" "<xsd:enumeration value=\"SIGWINCH\"/>\n"
    "\x09" "\x09" "\x09" "<xsd:enumeration value=\"SIGPOLL\"/>\n"
    "\x09" "\x09" "\x09" "<xsd:enumeration value=\"SIGIO\"/>\n"
    "\x09" "\x09" "\x09" "<xsd:enumeration value=\"SIGPWR\"/>\n"
    "\x09" "\x09" "\x09" "<xsd:enumeration value=\"SIGSYS\"/>\n"
    "\x09" "\x09" "</xsd:restriction>\n"
    "\x09" "</xsd:simpleType>\n"
    "\x09" "<xsd:simpleType name=\"When_holiday\">\n"
    "\x09" "\x09" "<xsd:restriction base=\"String\">\n"
    "\x09" "\x09" "\x09" "<xsd:enumeration value=\"suppress\"/>\n"
    "\x09" "\x09" "\x09" "<xsd:enumeration value=\"ignore_holiday\"/>\n"
    "\x09" "\x09" "\x09" "<xsd:enumeration value=\"previous_non_holiday\"/>\n"
    "\x09" "\x09" "\x09" "<xsd:enumeration value=\"next_non_holiday\"/>\n"
    "\x09" "\x09" "</xsd:restriction>\n"
    "\x09" "</xsd:simpleType>\n"
    "</xsd:schema>\n"
    "";

const char file_doc_en_log_categories_xml[] = 
    "\xef" "\xbb" "\xbf" "<?xml version=\"1.0\" encoding=\"utf-8\"?>\n"
    "<?xml-stylesheet href=\"scheduler.xsl\" type=\"text/xsl\"?>\n"
    "\n"
    "<!--$Id: spooler_embedded_files.cxx 6477 2011-03-23 09:49:45Z jz $-->\n"
    "\n"
    "<log_categories \n"
    "\x09" "\x09" "title=\"Log Categories\" \n"
    "\x09" "\x09" "base_dir=\"\" \n"
    "\x09" "\x09" "author=\"$Author: jz $\" \n"
    "date     = \"$Date: 2011-03-23 10:49:45 +0100 (Mi, 23 Mär 2011) $\"\n"
    ">\n"
    "\n"
    "\x09" "\x09" "<scheduler_keyword keyword=\"Log Categories\"/>\n"
    "<!--<scheduler_keyword keyword=\"Log-Kategorien\"/>-->\n"
    "\n"
    "\x09" "\x09" "<scheduler_keyword keyword=\"Categories for Log Files\"/>\n"
    "<!--<scheduler_keyword keyword=\"Kategorien f\xc3" "\xbc" "rs Log\"/>-->\n"
    "\n"
    "\x09" "<log_category name=\"all\" title=\"All categories (with exception of explicit categories)\">\n"
    "\x09" "\x09" "<!--<log_category name=\"all\"            title=\"Alle Kategorien (au\xc3" "\x9f" "er nur explizite)\">-->\n"
    "\x09" "</log_category>\n"
    "\n"
    "\x09" "<!--\n"
    "<log_category name=\"async\"          title=\"Asynchrone Aufrufe (f\xc3" "\xbc" "r den nebenl\xc3" "\xa4" "ufigen Betrieb der Scheduler-Tasks)\">\n"
    "<log_category name=\"continue\"       title=\"Fortsetzen einer asynchronen Operation\"/>\n"
    "</log_category>\n"
    "-->\n"
    "\n"
    "\x09" "\x09" "<log_category name=\"com\" title=\"COM-Operations\">\n"
    "\x09" "\x09" "\x09" "<log_category name=\"invoke\" title=\"Calling a COM object method\"/>\n"
    "<!--<log_category name=\"com\"            title=\"COM-Operationen\">\n"
    "<log_category name=\"invoke\"         title=\"Aufruf einer Methode eines COM-Objekts\"/>-->\n"
    "\x09" "\x09" "</log_category>\n"
    "\n"
    "<log_category name=\"env\"            title=\"Environment variables\">\n"
    "<!--<log_category name=\"env\"            title=\"Umgebungsvariablen\">-->\n"
    "</log_category>\n"
    "\n"
    "\x09" "\x09" "<log_category name=\"exception\" title=\"Particular error codes\">\n"
    "\x09" "\x09" "\x09" "<log_category name=\"*\"              default=\"yes\"\x09" "\x09" "title=\"All error codes\"/>\n"
    "\x09" "\x09" "\x09" "<log_category name=\"D310\"           mode=\"explicit\"\x09" "\x09" "title=\"End of file\"/>\n"
    "\x09" "\x09" "\x09" "<log_category name=\"D311\"           mode=\"explicit\"\x09" "\x09" "title=\"Expression not found\"/>\n"
    "<!--<log_category name=\"*\"              default=\"yes\"   title=\"Alle Fehlercodes\"/>\n"
    "<log_category name=\"D310\"           mode=\"explicit\" title=\"Dateiende\"/>\n"
    "<log_category name=\"D311\"           mode=\"explicit\" title=\"Satz nicht gefunden\"/>-->\n"
    "\x09" "\x09" "</log_category>\n"
    "\n"
    "\x09" "<log_category name=\"factory\" title=\"DocumentFactory\">\n"
    "<log_category name=\"parameter\" />\n"
    "\x09" "\x09" "<log_category name=\"processor\" title=\"Factory Processor (hostole.dll)\"/>\n"
    "\x09" "</log_category>\n"
    "\n"
    "<log_category name=\"file\"           title=\"\">\n"
    "<log_category name=\"directory\"/>\n"
    "<log_category name=\"mmap\"       title=\"mmap()\"/>\n"
    "</log_category>\n"
    "\n"
    "\x09" "<log_category name=\"hostole\" title=\"HostOLE calls (with exception of the factory processor)\">\n"
    "\x09" "\x09" "<!--<log_category name=\"hostole\"        title=\"Hostole-Aufrufe (au\xc3" "\x9f" "er Factory Processor)\">-->\n"
    "\x09" "</log_category>\n"
    "\n"
    "<log_category name=\"ini\"            title=\"Windows call GetPrivateProfile()\">\n"
    "<!--<log_category name=\"ini\"            title=\"Windows-Aufruf GetPrivateProfile()\">-->\n"
    "\x09" "\x09" "\x09" "<description>\n"
    "\x09" "\x09" "\x09" "\x09" "<p>\n"
    "Read the .ini file: <code>GetPrivateProfile()</code>.\n"
    "<!--.ini-Datei lesen: <code>GetPrivateProfile()</code>.-->\n"
    "\x09" "\x09" "\x09" "\x09" "</p>\n"
    "\x09" "\x09" "\x09" "</description>\n"
    "\x09" "\x09" "</log_category>\n"
    "\n"
    "\x09" "\x09" "<log_category name=\"java\" title=\"Java\">\n"
    "\x09" "\x09" "</log_category>\n"
    "\n"
    "\x09" "\x09" "<log_category name=\"jdbc\" title=\"JDBC Calls\">\n"
    "<!--<log_category name=\"jdbc\"           title=\"JDBC-Aufrufe\">-->\n"
    "\x09" "\x09" "</log_category>\n"
    "\n"
    "<log_category name=\"mail\"           >\n"
    "</log_category>\n"
    "\n"
    "\x09" "\x09" "<log_category name=\"mutex\"          mode=\"explicit\" title=\"Mutual exclusion locks, blocking for thread serialisation\">\n"
    "<!--<log_category name=\"mutex\"          mode=\"explicit\" title=\"Mutual exclusion locks, Sperren zur Serialisierung von Threads\">-->\n"
    "\x09" "\x09" "</log_category>\n"
    "\n"
    "<log_category name=\"object_server\" title=\"Job Scheduler interface for tasks running in their own processes\">\n"
    "<log_category name=\"call\" title=\"Method Call\"/>\n"
    "<log_category name=\"continue\"       />\n"
    "<log_category name=\"push\" title=\"Stack-Operation for nested method calls\"/>\n"
    "<log_category name=\"wait\"           />\n"
    "<log_category name=\"Invoke\" title=\"COM operation\"/>\n"
    "<log_category name=\"QueryInterface\" title=\"COM operation\"/>\n"
    "\x09" "\x09" "<!--<log_category name=\"object_server\"      title=\"Schnittstelle des Schedulers zu den in eigenen Prozessen laufenden Tasks\">\n"
    "<log_category name=\"call\"           title=\"Aufruf einer Methode\"/>\n"
    "<log_category name=\"push\"           title=\"Stack-Operation bei verschachteltem Aufruf einer Methode\"/>\n"
    "<log_category name=\"Invoke\"         title=\"COM-Operation\"/>\n"
    "<log_category name=\"QueryInterface\" title=\"COM-Operation\"/>-->\n"
    "</log_category>\n"
    "\n"
    "\x09" "<log_category name=\"odbc\" title=\"ODBC calls\">\n"
    "\x09" "\x09" "<!--<log_category name=\"odbc\"           title=\"ODBC-Aufrufe\">-->\n"
    "\x09" "</log_category>\n"
    "\n"
    "\x09" "<log_category name=\"rtf\" title=\"RTF Processor\">\n"
    "\x09" "\x09" "<log_category name=\"map_next_line\" title=\"Positions of script line numbers found in RTF documents\"/>\n"
    "\x09" "\x09" "<log_category name=\"merge\" title=\"Merge different templates\"/>\n"
    "\x09" "\x09" "<log_category name=\"learn\" title=\"Learned (unknown) RTF codes\"/>\n"
    "\x09" "\x09" "<!--<log_category name=\"rtf\"                title=\"RTF-Prozessor\">\n"
    "<log_category name=\"map_next_line\"  title=\"Zuordnung der Stellen im RTF-Dokument den Zeilennummern des extrahierten Vorlagenskripts\"/>\n"
    "<log_category name=\"merge\"          title=\"Mischen verschiedener Vorlagen\"/>\n"
    "<log_category name=\"learn\"          title=\"Hinzugelernte (unbekannte) RTF-Codes\"/>-->\n"
    "\x09" "</log_category>\n"
    "\n"
    "<log_category name=\"scheduler\"   mode=\"implicit\"  title=\"Job Scheduler\">\n"
    "<log_category name=\"call\"          mode=\"implicit\"   title=\"Start and end call of a job method, e.g. spooler_process()\"/>\n"
    "<log_category name=\"cluster\"                         title=\"Cluster operation\"/>\n"
    "<log_category name=\"directory\"                       title=\"Open a directory\"/>\n"
    "<log_category name=\"file_order\"                      title=\"&lt;file_order_source>\"/>\n"
    "<log_category name=\"http\"                            title=\"HTTP server\"/>\n"
    "<log_category name=\"log\"                             title=\"Access to protocol files\"/>\n"
    "<!--<log_category name=\"loop\"           mode=\"explicit\"  title=\"A Job Scheduler micro-cycle\"/>--><!-- Auskommentiert nach Telefonat JZ -->\n"
    "<log_category name=\"order\"          mode=\"implicit\"  title=\"Operations on orders (temporary payload setting)\"/>\n"
    "<log_category name=\"service\"        mode=\"implicit\"  title=\"Windows service controller\"/>\n"
    "<log_category name=\"signal\"    />\n"
    "<log_category name=\"wait\"                            title=\"The Job Scheduler enters the waiting state\"/>\n"
    "<log_category name=\"xml\"                             title=\"XML/DOM operations\"/>\n"
    "<log_category name=\"nothing_done\"                    title=\"When a job is idle\"/>\n"
    "<!--<log_category name=\"scheduler\"     mode=\"implicit\"  title=\"Scheduler\">\n"
    "<log_category name=\"call\"           mode=\"implicit\"  title=\"Beginn und Ende des Aufrufs einer Jobmethode, z.B. spooler_process()\"/>\n"
    "<log_category name=\"cluster\"                         title=\"Cluster-Betrieb\"/>\n"
    "<log_category name=\"directory\"                       title=\"\xc3" "\x96" "ffnen eines Dateiverzeichnisses\"/>\n"
    "<log_category name=\"file_order\"                      title=\"&lt;file_order_source>\"/>\n"
    "<log_category name=\"http\"                            title=\"HTTP-Server\"/>\n"
    "<log_category name=\"log\"                             title=\"Zugriffe auf die Protokolldateien\"/>\n"
    "<log_category name=\"loop\"        local_default=\"off\" title=\"Mikrozyklus des Schedulers\"/>\n"
    "<log_category name=\"order\"          mode=\"implicit\"  title=\"Operation auf Auftr\xc3" "\xa4" "ge (zurzeit Setzen der Payload)\"/>\n"
    "<log_category name=\"service\"        mode=\"implicit\"  title=\"Windows-Dienstesteuerung\"/>\n"
    "<log_category name=\"signal\"    />\n"
    "<log_category name=\"wait\"                            title=\"Wenn der Scheduler in den Wartezustand geht\"/>\n"
    "<log_category name=\"xml\"                             title=\"XML/DOM-Operationen\"/>\n"
    "<log_category name=\"nothing_done\"                    title=\"Wenn ein Job im Leerlauf ist\"/>-->\n"
    "</log_category>\n"
    "\n"
    "<log_category name=\"socket\"     title=\"Socket operations (network)\">\n"
    "<log_category name=\"accept\"     title=\"System call accept(): accept TCP connections\"/>\n"
    "<log_category name=\"close\"      title=\"System call close(): close socket\"/>\n"
    "<log_category name=\"connect\"    title=\"System call connect(): establish TCP connection\"/>\n"
    "<log_category name=\"listen\"     title=\"System call listen(): waiting for TCP connection request (listening)\"/>\n"
    "<log_category name=\"send\"       title=\"System call send(): send file\"/>\n"
    "<log_category name=\"recv\"       title=\"System call send(): receive file\"/>\n"
    "<log_category name=\"select\"     title=\"System call select(): waiting for TCP result\"/>\n"
    "<log_category name=\"setsockopt\" title=\"System call setsockopt()\"/>\n"
    "<log_category name=\"shutdown\"   title=\"System call shutdown(): end connection\"/>\n"
    "<log_category name=\"data\"       mode=\"explicit\" title=\"Data from recv() and send()\"/>\n"
    "<!--<log_category name=\"socket\"         title=\"Socket-Operationen (Netzwerk)\">\n"
    "<log_category name=\"accept\"     title=\"Systemaufruf accept(): TCP-Verbindung annehmen\"/>\n"
    "<log_category name=\"close\"      title=\"Systemaufruf close(): Socket schlie\xc3" "\x9f" "en\"/>\n"
    "<log_category name=\"connect\"    title=\"Systemaufruf connect(): TCP-Verbindung aufbauen\"/>\n"
    "<log_category name=\"listen\"     title=\"Systemaufruf listen(): TCP-Verbindungsaufforderung erwarten\"/>\n"
    "<log_category name=\"send\"       title=\"Systemaufruf send(): Daten senden\"/>\n"
    "<log_category name=\"recv\"       title=\"Systemaufruf send(): Daten empfangen\"/>\n"
    "<log_category name=\"select\"     title=\"Systemaufruf select(): TCP-Ereignis abwarten\"/>\n"
    "<log_category name=\"setsockopt\" title=\"Systemaufruf setsockopt()\"/>\n"
    "<log_category name=\"shutdown\"   title=\"Systemaufruf shutdown(): Verbindung beenden\"/>\n"
    "<log_category name=\"data\"       mode=\"explicit\" title=\"Daten von recv() und send()\"/>-->\n"
    "</log_category>\n"
    "\n"
    "<log_category name=\"spidermonkey\"   title=\"The Spidermonkey JavaScript implementation\">\n"
    "<log_category name=\"callback\"       mode=\"explicit\" title=\"Spidermonkey call backs\"/>\n"
    "<log_category name=\"idispatch\"      mode=\"explicit\" title=\"COM object management\"/>\n"
    "<!--<log_category name=\"spidermonkey\"   title=\"JavaScript-Implementierung Spidermonkey\">\n"
    "<log_category name=\"callback\"       mode=\"explicit\" title=\"R\xc3" "\xbc" "ckrufe von Spidermonkey\"/>\n"
    "<log_category name=\"idispatch\"      mode=\"explicit\" title=\"Verwaltung der COM-Objekte\"/>-->\n"
    "</log_category>\n"
    "\n"
    "\x09" "<log_category name=\"sossql\" title=\"SQL-Processor (file type sossql)\">\n"
    "\x09" "\x09" "<!--<log_category name=\"sossql\"         title=\"SQL-Prozessor (Dateityp sossql)\">-->\n"
    "\x09" "\x09" "<log_category name=\"get_key\" title=\"Operation get_key()\"/>\n"
    "\x09" "</log_category>\n"
    "\n"
    "<log_category name=\"windows\"        title=\"Betriebssystem Microsoft Windows\">\n"
    "<!--<log_category name=\"windows\"        title=\"Microsoft Windows operating system\">-->\n"
    "<log_category name=\"PeekMessage\"   title=\"Aufruf PeekMessage()\"/>\n"
    "<!--<log_category name=\"PeekMessage\"   title=\"Call PeekMessage()\"/>-->\n"
    "</log_category>\n"
    "\n"
    "\n"
    "\x09" "<description>\n"
    "\x09" "\x09" "<p>\n"
    "Many of the entries made in the log file (<code>scheduler.log</code>) are categorised.\n"
    "These categories are used to regulate whether or not an entry is made in a log file.\n"
    "<!--Viele Ausgaben in die Logdatei (<code>scheduler.log</code>) sind einer Kategorie zugeordnet, \n"
    "mit der die Ausgaben an- oder ausgeschaltet werden k\xc3" "\xb6" "nnen.-->\n"
    "\x09" "\x09" "</p>\n"
    "\x09" "\x09" "<p>\n"
    "A log category is specified in front of the file name,\n"
    "with a \">\" symbol inserted between the category and the file name.\n"
    "Multiple categories are separated by an empty space. \n"
    "For example (in an .ini file):\n"
    "<code>log = scheduler.* socket.* >c:/tmp/scheduler.log</code>.\n"
    "<!--Die Log-Kategorien geben Sie vor dem Dateinamen an, \n"
    "wobei dem Dateinamen ein Gr\xc3" "\xb6" "\xc3" "\x9f" "erzeichen (>) vorangestellt sein muss.\n"
    "Mehrere Kategorien trennen Sie mit einem Zwischenraum. Beispiel (in einer .ini-Datei):\n"
    "<code>log = scheduler.* socket.* >c:/tmp/scheduler.log</code>.-->\n"
    "\x09" "\x09" "</p>\n"
    "\x09" "\x09" "<p>\n"
    "The special category <code>all</code> selects all categories \n"
    "other than those which must be explicitly selected.\n"
    "<!--Die besondere Kategorie <code>all</code> w\xc3" "\xa4" "hlt alle Kategorien aus, \n"
    "au\xc3" "\x9f" "er die, die explizit angegeben werden m\xc3" "\xbc" "ssen.-->\n"
    "\x09" "\x09" "</p>\n"
    "\x09" "\x09" "<p>\n"
    "Log file categories are organised in hierarchies.\n"
    "Categories can be selected together with their subcategories \n"
    "by appending an asterisk (\"<code>.*</code>\") to the category name thus:\n"
    "<code>scheduler.*</code>.\n"
    "<!--Die Kategorien sind hierarchich organisiert.\n"
    "Sie k\xc3" "\xb6" "nnen eine Kategorie mit all deren Unterkategorien ausw\xc3" "\xa4" "hlen, \n"
    "indem Sie dem Namen ein \"<code>.*</code>\" anh\xc3" "\xa4" "ngen. \n"
    "Beispiel: <code>scheduler.*</code>.-->\n"
    "\x09" "\x09" "</p>\n"
    "<p>\n"
    "See also the commands:\n"
    "<!--See also the commands:-->\n"
    "</p>\n"
    "<ul>\n"
    "<li>\n"
    "<scheduler_element name=\"scheduler_log.log_categories.show\" />\n"
    "</li>\n"
    "<li>\n"
    "<scheduler_element name=\"scheduler_log.log_categories.set\" />\n"
    "</li>\n"
    "<li>\n"
    "<scheduler_element name=\"scheduler_log.log_categories.reset\" />\n"
    "</li>\n"
    "</ul>\n"
    "\x09" "</description>\n"
    "\x09" "\n"
    "</log_categories>\n"
    "";


using namespace zschimmer;

namespace sos {
namespace scheduler {

static const Embedded_file embedded_files_array[] = 
{
    { "scheduler.xsd", file_scheduler_xsd, sizeof file_scheduler_xsd - 1, 1293710254 },
    { "doc.en/log_categories.xml", file_doc_en_log_categories_xml, sizeof file_doc_en_log_categories_xml - 1, 1293710249 },
    { NULL, NULL, 0 }
};

extern const Embedded_files embedded_files = { embedded_files_array };

} //namespace scheduler
} //namespace sos
